<?php
/**
 * Description of Enquiry
 *
 * @author Softpro India Pvt. Ltd
 */
class Enquiry extends CI_Controller {

    //put your code here
    public function __construct() {
        parent::__construct();
        $this->load->model("admin/EnquiryManagement");
        $this->load->model("admin/CourseManagement");
        $this->load->model("admin/SessionManagement");
    }

    public function index() {
        if (isset($_POST['filterSubmitBtn']) != "") {
            $startDate = trim($this->input->post("startDate")) == "" ? "" : date('Y-m-d', strtotime(str_replace('/', '-', $this->input->post("startDate"))));
            $endDate = trim($this->input->post("endDate")) == "" ? "" : date('Y-m-d', strtotime(str_replace('/', '-', $this->input->post("endDate"))));
            $course = $this->input->post("course");
            $viewdata["enquiry"] = $this->EnquiryManagement->getEnquiry($course,$startDate, $endDate)->result();
            $viewdata["courses"] = $this->CourseManagement->getCourses('T','F')->result();
            $viewdata["b_courses"]=$course;
            $this->load->view("admin/enquiryReport", $viewdata);
          
        } else {
            $viewdata["enquiry"] = $this->EnquiryManagement->getEnquiry()->result();
            $viewdata["courses"] = $this->CourseManagement->getCourses('','F')->result();
            $viewdata["b_courses"]=0;
            $this->load->view("admin/enquiryReport", $viewdata);
        }
    }

}
