<?php

/**
 * Model Class For Handling All DB Operations Related To Cities And States Info
 *
 * @author Softpro India Pvt. Ltd.
 */
defined('BASEPATH') OR exit('No direct script access allowed');

class LocationManagement extends CI_Model {

    function getAllNonDeletedStates() {
        $this->db->select('*');
        $this->db->from('tbl_states_master');
        $this->db->where('state_delete_status', "F");
        return $this->db->get();
    }

    function getAllNonDeletedActiveStates() {
        $this->db->select('*');
        $this->db->from('tbl_states_master');
        $this->db->where('state_active_status', "T");
        $this->db->where('state_delete_status', "F");
        return $this->db->get();
    }

    function getAllCitiesByState($state_id) {
        $this->db->select('*');
        $this->db->from('tbl_city_master');
        $this->db->where('state_id', $state_id);
        return $this->db->get();
    }
}
