
<!doctype html>
<html lang="en">
    <head>
        <meta http-equiv="content-type" content="text/html;charset=UTF-8" />
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <title>Offline Payments :: <?php echo $this->session->userdata("branchData")["branch_short_name"]; ?> | Asmission Portal</title>
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/style-liberty.css"); ?>">
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/jquery-ui.css"); ?>">
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/jquery.dataTables.min.css"); ?>" type='text/css' />
        <link rel="image icon" href="<?php echo base_url("assets/images/logo.png"); ?>">
        <link href="https://fonts.googleapis.com/css?family=Nunito:300,400,600,700,800,900&amp;display=swap" rel="stylesheet">
        <script src="<?php echo base_url("assets/admin/js/jquery-1.10.2.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/jquery-ui.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/bootstrap.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/jquery.dataTables.min.js"); ?>"></script>
    </head>
    <body class="sidebar-menu-collapsed">
        <?php
        $this->load->view("admin/navAndHeader");
        ?>
        <!-- main content start -->
        <div class="main-content">
            <!-- content -->
            <div class="container-fluid content-top-gap">
                <nav aria-label="breadcrumb">
                    <ol class="breadcrumb my-breadcrumb">
                        <li class="breadcrumb-item"><a href="<?php echo site_url("admin/Dashboard") ?>">Home</a></li>
                        <li class="breadcrumb-item active" aria-current="page"><a href="<?php echo site_url("admin/Payment/offlinePayment"); ?>">Offline Payments</a></li>
                    </ol>
                </nav>
                <section class="data-tables">
                    <div class="card card_border p-4">
                        <h3 class="card__title"><i class="fa fa-table"></i> Offline Payment</h3><br>
                        <div class="table-responsive">
                            <?php if ($this->session->flashdata('successMessage')) { ?>
                                <div class="alert alert-success"> <strong><?php echo $this->session->flashdata('successMessage'); ?></strong></div>
                            <?php } ?>
                            <?php if ($this->session->flashdata('errorMessage')) { ?>
                                <div class="alert alert-danger"> <strong><?php echo $this->session->flashdata('errorMessage'); ?></strong> </div>
                            <?php } ?>
                            <fieldset>
                                <legend>Filters <i class="fa fa-filter"></i></legend>
                                <?php echo form_open(site_url('admin/Payment/offlinePayment')); ?>
                                <div class="form-row">
                                    <div class="form-group col-md-2">
                                        <label class="input__label" for="course">Course</label>
                                        <select name="course" id="course" class="custom-select">
                                            <option <?php echo set_select("course", ""); ?> value="">-Course-</option>
                                            <?php
                                            for ($i = 0; $i < sizeof($courses); $i++) {
                                                $course = $courses[$i];
                                                //echo $course;
                                                ?>
                                                <option  <?php //if ($co == $course->course_id) echo "selected";     ?> <?php echo set_select("course", $course->course_id); ?> value="<?php echo $course->course_id; ?>" ><?php echo $course->course_name."-".$course->tcsm_course_type; ?></option>
                                                <?php
                                            }
                                            ?>
                                        </select>
                                    </div>
                                    <div class="form-group col-md-3">
                                        <label for="email" class="input__label">Applicant's Email</label>
                                        <input type="text" class="form-control" id="email" name="email" value="<?php //echo ($fno=="" || $fno==null) ? "": $fno;       ?>" placeholder="Enter Applicant's Email" autocomplete="off" maxlength="150">
                                    </div>
                                    <div class="form-group col-md-3">
                                        <label for="mobile" class="input__label">Applicant's Mobile</label>
                                        <input type="text" class="form-control" id="mobile" name="mobile" value="<?php //echo ($fno=="" || $fno==null) ? "": $fno;       ?>" placeholder="Enter Applicant's Email" autocomplete="off" maxlength="150">
                                    </div>
                                    <div class="form-group col-md-2">
                                        <label for="dob" class="input__label">Applicant's DOB</label>
                                        <input type="text" class="form-control" id="dob" name="dob" value="<?php echo set_value('dob'); ?>" placeholder="Choose Applicant's DOB" autocomplete="off" maxlength="15" readonly="readonly">
                                    </div>

                                    <div class="form-group  col-sm-2">
                                        <label for="session_id" class="input__label">Session</label>
                                        <select class="custom-select"
                                                id="session_id"  name="session_id" aria-describedby="session_id" >
                                            <option value="">-Select Session-</option>
                                            <?php
                                            for ($i = 0; $i < sizeof($sessions); $i++) {
                                                $s = $sessions[$i];
                                                ?>
                                                <option <?php if ($s->session_status == "C") echo "selected"; ?> <?php echo set_select("session_id"); ?> value="<?php echo $s->session_id; ?>"><?php echo $s->session_name; ?></option>
                                                <?php
                                            }
                                            ?>
                                        </select>

                                    </div>

                                </div>
                                <div class="form-row">
                                    <div class="col-md-12">
                                        <label for="filterSubmitBtn" class="input__label"></label>
                                        <button id="filterSubmitBtn" name="filterSubmitBtn" value="filterSubmitBtn" type="submit" class="btn btn-sm btn-warning pull-right">Apply Filter & Fetch Report&nbsp;<i class="fa fa-filter"></i><i class="fa fa-arrow-right"></i></button>
                                    </div>
                                </div>
                                <hr>
                            </fieldset>
                            <table id="usersData" class="bootstrap-datatable table-striped table-hover" style="width:100%">
                                <thead>
                                    <tr>
                                        <th>Sr. No</th>
                                        <th>Name</th>
                                        <th>Email</th>
                                        <th>Course</th>
                                        <th>Gender</th>                                        
                                        <th>Mobile</th>
                                        <th>DOB</th>
                                        <th>Registration Date</th>
                                        <th>Action</th>
                                    </tr>
                                </thead>
                                <tfoot>
                                    <tr>
                                        <th>Sr. No</th>
                                        <th>Name</th>
                                        <th>Email</th>
                                        <th>Course</th>
                                        <th>Gender</th>                                        
                                        <th>Mobile</th>
                                        <th>DOB</th>
                                        <th>Registration Date</th>
                                        <th>Action</th>
                                    </tr>
                                </tfoot>
                                <tbody>
                                    <?php
                                    for ($i = 0; $i < sizeof($admissionForms); $i++) {
                                        $record = $admissionForms[$i];
                                        ?>
                                        <tr style='background-color:<?php echo $record->status == 'T' ? '' : '#ebccd2'; ?>'>
                                            <td><?php echo ($i + 1); ?></td>
                                            <td><a target='_blank' href="<?php echo site_url("admin/Report/admissionFormDetailedReport/$record->tspi_id/F"); ?>"><?php echo stripslashes($record->tspi_name); ?></a></td>                                        
                                            <td><?php echo stripslashes($record->tspi_email); ?></td>
                                            <td><?php echo stripslashes($record->course_name); ?></td>  
                                            <td><?php echo $record->tspi_gender == "M" ? "Male" : "Female"; ?></td> 
                                            <td><?php echo stripslashes($record->tspi_mobile); ?></td> 
                                            <td><?php echo ($record->tspi_dob == null || $record->tspi_dob == "") ? "N/A" : date("d-m-Y", strtotime($record->tspi_dob)); ?></td> 
                                            <td><?php echo ($record->tspi_added_on == null || $record->tspi_added_on == "") ? "N/A" : date("d-m-Y", strtotime($record->tspi_added_on)); ?></td> 
                                            <td><button onclick='window.window.location.href = "<?php echo site_url('admin/Payment/updatePayment/') . $record->tspi_id; ?>"' class="btn btn-primary">Accept Fee</button></td>
                                        </tr>
                                    <?php }
                                    ?>
                                </tbody>
                            </table>
                        </div>
                    </div>
                </section>
            </div>
            <!-- //content -->
        </div>           
    </div>
    <!-- main content end-->
    <?php
    $this->load->view("admin/footer");
    ?>
    <script>
        $(document).ready(function () {
            $("#usersData").DataTable({responsive: true, dom: 'Blfrtip'
            });
        });
        $("#dob").datepicker({
            dateFormat: "dd/mm/yy",
            changeMonth: true,
            changeYear: true,
            yearRange: '1980:-15',
            numberOfMonths: 1
        });
    </script>
    <script>
        $(document).ready(function () {
            document.getElementById("dashboard").classList.remove("active");
            document.getElementById("dataManagement").classList.remove("active");
            document.getElementById("reports").classList.remove("active");
            document.getElementById("payment").classList.remove("active");
            document.getElementById("upload").classList.remove("active");
            document.getElementById("payment").classList.add("active");
        });
    </script>

