
<!doctype html>
<html lang="en">
    <head>
        <!-- Required meta tags -->
        <meta http-equiv="content-type" content="text/html;charset=UTF-8" />
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <title>Validate Counselling Details  :: <?php if (sizeof($branch)) echo $branch[0]->branch_short_name; ?> | Admission Portal</title>
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/style-liberty.css"); ?>">
        <link rel="image icon" href="<?php echo base_url("assets/images/logo.png"); ?>">      
        <link href="<?php echo base_url("assets/css/jquery-ui.css"); ?>" rel='stylesheet' type='text/css' />
        <link href="https://fonts.googleapis.com/css?family=Nunito:300,400,600,700,800,900&amp;display=swap" rel="stylesheet">
        <script src="<?php echo base_url("assets/admin/js/jquery-1.10.2.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/bootstrap.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/utils.js"); ?>"></script>
        <script src="<?php echo base_url("assets/js/jquery-ui.js") ?>"></script>  
        <script>
            var csrfHash = '';
        </script>

        <style>
            body{
                    font-family:Verdana, sans-serif ;
                    font-size::12px;
            }
            .wrapper{
                    width:980px;
                    margin:0 auto;  
            }
            table{

            }
            tr{
                padding:5px
            }
            td{
                padding:5px;    
            }
            input{
                padding:5px;    
            }
        </style>

    </head>
    <body class="sidebar-menu-collapsed">
        <div class="se-pre-con"></div>
        <section>
            <div class="main-content">
                <div class="text-center ">
                    <a href="<?php echo site_url("Home"); ?>"><img src="<?php echo base_url("assets/images/logo.png"); ?>" alt="" width="100" class="img-responsive mt-3"></a>
                    <h1> <a href="<?php echo site_url("Home"); ?>"><?php (sizeof($branch)) ? $branch[0]->branch_short_name : ""; ?></a></h1>      
                </div>
                <div class="container-fluid ">
                    <nav aria-label="breadcrumb">
                        <ol class="breadcrumb my-breadcrumb">
                            <li class="breadcrumb-item"><a href="<?php echo site_url("Home"); ?>">Home</a></li>
                        </ol>
                    </nav>
                    <section class="forms">
                        <div class="card card_border py-2 mb-4">
                            <div class="card-body">

    
                <table>
                <tr><!-- PG transaction reference number-->
            <td><label for="txnRefNo">Transaction Ref No. :</label></td>
            <td><?php echo $response->getPgMeTrnRefNo();?></td>
            <!-- Merchant order number-->
            <td><label for="orderId">Order No. :</label></td>
            <td><?php echo $response->getOrderId();?> </td>
            <!-- Transaction amount-->
            <td><label for="amount">Amount :</label></td>
            <td><?php echo $response->getTrnAmt();?></td>
        </tr>
        <tr><!-- Transaction status code-->
            <td><label for="statusCode">Status Code :</label></td>
            <td><?php echo $response->getStatusCode();?></td>
            
            <!-- Transaction status description-->
            <td><label for="statusDesc">Status Desc :</label></td>
            <td><?php echo $response->getStatusDesc();?></td>
            
            <!-- Transaction date time-->
            <td><label for="txnReqDate">Transaction Request Date :</label></td>
            <td><?php echo $response->getTrnReqDate();?></td>
        </tr>
        <tr>
            <!-- Transaction response code-->
            <td><label for="responseCode">Response Code :</label></td>
            <td><?php echo $response->getResponseCode();?></td>
            
            <!-- Bank reference number-->
            <td><label for="statusDesc">RRN :</label></td>
            <td><?php echo $response->getRrn();?></td>
            <!-- Authzcode-->
            <td><label for="authZStatus">AuthZCode :</label></td>   
            <td><?php echo $response->getAuthZCode();?></td>
        </tr>
        <tr>    <!-- Additional fields for merchant use-->
            <td><label for="addField1">Add Field 1 :</label></td>
            <td><?php echo $response->getAddField1();?></td>

            <td><label for="addField2">Add Field 2 :</label></td>
            <td><?php echo $response->getAddField2();?></td>
            
            <td><label for="addField3">Add Field 3 :</label></td>
            <td><?php echo $response->getAddField3();?></td>
        </tr>
        <tr>    
                <td><label for="addField4">Add Field 4 :</label></td>
                <td><?php echo $response->getAddField4();?></td>
                
                <td><label for="addField5">Add Field 5 :</label></td>
                <td><?php echo $response->getAddField5();?></td>
                
                <td><label for="addField6">Add Field 6 :</label></td>
                <td><?php echo $response->getAddField6();?></td>    
            </tr>
            <tr>    
                <td><label for="addField7">Add Field 7 :</label></td>
                <td><?php echo $response->getAddField7();?></td>
                
                <td><label for="addField8">Add Field 8 :</label></td>
                <td><?php echo $response->getAddField8();?></td>
            </tr>
    

        </table>

                             



                            </div>
                        </div>
                    </section>
                </div>
            </div>
        </section>
        <?php $this->load->view("admin/footer"); ?>
    </body>
    <script  type="text/javascript">
        document.txnSubmitFrm.submit();
    </script>

</html>