<?php $adminData = $this->session->userdata("alumni_admin_data"); ?>
<div class="se-pre-con"></div>
<section>
    <!-- sidebar menu start -->
    <div class="sidebar-menu sticky-sidebar-menu">
        <div class="logo">
            <h1><a href="<?php echo site_url("admin/"); ?>">Alumni Portal</a></h1>
        </div>
        <div class="logo-icon text-center" style='background-color:white;'>
            <a href="<?php echo site_url("admin/"); ?>" title="logo"><img src="<?php echo base_url("/assets/admin/images/branchLogo/branchlogo.png") ?>" alt="logo-icon"> </a>
        </div>
        <!-- //logo end -->
        <div class="sidebar-menu-inner">
            <!-- sidebar nav start -->
            <ul class="nav nav-pills nav-stacked custom-nav">
                <li id="dashboard" class="active"><a href="<?php echo site_url("admin/Dashboard"); ?>"><i class="fa fa-tachometer"></i><span> Dashboard</span></a>
                </li>
                <li id="dataManagement" class="menu-list">
                    <a href="#"><i class="fa fa-database"></i>
                        <span>Data Management </span></a>
                    <ul class="sub-menu-list">
                    <li><a href="<?php echo site_url("admin/Branch"); ?>">Manage Institute</a> </li>
                        <?php if ($adminData["admin_role"] != "Sub Admin") { ?>
                            <li><a href="<?php echo site_url("admin/Course/createCourse"); ?>">Create Course</a> </li>
                        <?php } ?>
                        <li><a href="<?php echo site_url("admin/Course"); ?>">Course Report</a> </li>
                    </ul>
                </li>
                <li id="admin" class="menu-list"><a href="#"><i class="fa fa-user-circle"></i>
                        <span>Admin</span></a>
                    <ul class="sub-menu-list">
                        <?php if ($adminData["admin_role"] != "Sub Admin") { ?>
                            <li><a href="<?php echo site_url("admin/Gallary/setGallaryLimit"); ?>">Set Gallary Limit</a></li>
                        <?php } ?>
                        <li><a href="<?php echo site_url("admin/Feedback") ?>">Feedbacks</a></li>
                        <?php if ($adminData["admin_role"] != "Sub Admin") { ?>
                            <li><a href="<?php echo site_url("admin/AccessLog") ?>">Access Log</a></li>
                        <?php } ?>
                        <?php if ($adminData["admin_role"] != "Sub Admin") { ?>
                            <li><a href="<?php echo site_url("admin/User/manageUsers"); ?>">Manage User</a></li>
                        <?php } ?>
                    </ul>
                </li>
                <li id="notification" class="menu-list"><a href="#"><i class="fa fa-bell"></i>
                        <span>Notification</span></a>
                    <ul class="sub-menu-list">
                        <?php if ($adminData["admin_role"] != "Sub Admin") { ?>
                            <li><a href="<?php echo site_url("admin/Notification/createNotification"); ?>">Create Notification</a></li>
                        <?php } ?>
                        <li><a href="<?php echo site_url("admin/Notification"); ?>">Notification Report</a></li>
                    </ul>
                </li>
                <li id="reports" class="menu-list"><a href="#"><i class="fa fa-table"></i>
                        <span>Reports</span></a>
                    <ul class="sub-menu-list">
                        <li><a href="<?php echo site_url("admin/User"); ?>">Student/Alumni Reports</a></li>
                        <li><a href="<?php echo site_url("admin/Post"); ?>">Post Report </a></li>
                    </ul>
                </li>
                <?php if ($adminData["admin_role"] != "Sub Admin") { ?>
                    <li id="adminManagement" class="menu-list"><a href="#"><i class="fa fa-audio-description"></i>
                            <span>Admin Management</span></a>
                        <ul class="sub-menu-list">
                            <li><a href="<?php echo site_url("admin/Admin/createAdmin"); ?>">Create Admin</a></li>
                            <li><a href="<?php echo site_url("admin/Admin"); ?>">Admin Report </a></li>
                        </ul>
                    </li>
                <?php } ?>
                <li><a href="<?php echo site_url("admin/Authentication/authLogout") ?>"><i class="fa fa-power-off"></i> <span>Logout</span></a></li>
            </ul>
            <!-- //sidebar nav end -->
            <!-- toggle button start -->
            <a class="toggle-btn">
                <i class="fa fa-angle-double-left menu-collapsed__left"><span>Collapse Sidebar</span></i>
                <i class="fa fa-angle-double-right menu-collapsed__right"></i>
            </a>
            <!-- //toggle button end -->
        </div>
    </div>
    <!-- //sidebar menu end -->
    <!-- header-starts -->
    <div class="header sticky-header">
        <!-- notification menu start -->
        <div class="menu-right">
            <div class="navbar user-panel-top">
                <?php echo $this->session->userdata("branchData")["branch_short_name"]; ?>
                <div class="user-dropdown-details d-flex">
                    <div class="profile_details">
                        <ul>
                            <li class="dropdown profile_details_drop">
                                <a href="#" class="dropdown-toggle " data-toggle="dropdown" id="dropdownMenu3" aria-haspopup="true"
                                   aria-expanded="false">
                                    <div class="profile_img">
                                        <img src="<?php echo base_url("assets/admin/images/profileimg.png"); ?>" class="rounded-circle" alt="" />
                                        <div class="user-active">
                                            <span></span>
                                        </div>
                                    </div>
                                </a>
                                <ul class="dropdown-menu drp-mnu" id="prf_dropdown" aria-labelledby="dropdownMenu3">
                                    <li class="user-info">
                                        <h5 class="user-name"><?php echo $this->session->userdata("alumni_admin_data")["admin_name"]; ?></h5>
                                        <span class="status m1-2"><?php echo $this->session->userdata("alumni_admin_data")["admin_role"]; ?></span>
                                    </li>
                                    <?php
                                    if ($this->session->userdata("alumni_admin_data")["admin_login_status"] == "G") {
                                        ?>
                                        <li> <a href="<?php echo site_url("admin/Authentication/changePassword"); ?>"><i class="fa fa-key"></i>Change Password</a> </li>
                                        <li> <a href="<?php echo site_url("admin/Authentication/authLogout"); ?>"><i class="fa fa-power-off"></i>Logout</a> </li>
                                        <?php
                                    }
                                    ?>
                                    
                                </ul>
                            </li>
                        </ul>
                    </div>
                </div>
            </div>
        </div>
        <!--notification menu end -->
    </div>
    <!-- //header-ends -->
</section>
</body>
</html>
