
<!doctype html>
<html lang="en">
    <head>
        <!-- Required meta tags -->
        <meta http-equiv="content-type" content="text/html;charset=UTF-8" />
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <title>Post Report :: <?php echo $this->session->userdata("branchData")["branch_short_name"]; ?> | Alumni Portal</title>
        <link rel="stylesheet" href="<?php echo base_url("assets/user/css/style-liberty.css"); ?>">
        <link rel="stylesheet" href="<?php echo base_url("assets/user/css/jquery.dataTables.min.css"); ?>" type='text/css' />
        <link rel="image icon" href="<?php echo base_url("/assets/images/logo.png"); ?>">
        <link href="https://fonts.googleapis.com/css?family=Nunito:300,400,600,700,800,900&amp;display=swap" rel="stylesheet">
        <script src="<?php echo base_url("assets/user/js/jquery-1.10.2.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/user/js/bootstrap.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/user/js/jquery.dataTables.min.js"); ?>"></script>
        <script>
            var csrfHash = "";
        </script>
    </head>
    <body class="sidebar-menu-collapsed">
        <?php
        $this->load->view("user/navAndHeader");
        ?>
        <!-- main content start -->
        <div class="main-content">
            <!-- content -->
            <div class="container-fluid content-top-gap">
                <nav aria-label="breadcrumb">
                    <ol class="breadcrumb my-breadcrumb">
                        <li class="breadcrumb-item"><a href="<?php echo site_url("user/Dashboard") ?>">Home</a></li>
                        <li class="breadcrumb-item">PostManagement</li>
                        <li class="breadcrumb-item active" aria-current="page"><a href="">Public Posts</a></li>
                    </ol>
                </nav>
                <section class="data-tables">
                    <div class="card card_border p-4">
                        <h3 class="card__title"><i class="fa fa-table"></i> &nbsp;Post Reports</h3><br>
                        <div class="row">
                            <div class="col-lg-12 mt-3 pull-right">
                                <?php echo $this->pagination->create_links(); ?> 
                            </div>
                            <?php
                            //echo $this->db->last_query();
                            if (sizeof($posts) > 0) {
                                for ($i = 0; $i < sizeof($posts); $i++) {
                                    $post = $posts[$i];
                                    ?>
                                    <div class="col-lg-12 mt-3">
                                        <div class="card">
                                            <div class="card-header">
                                                <h5 class="pull-left">
                                                    <span>
                                                        <?php
                                                        if (!file_exists("./" . $post->p_photo) || $post->p_photo == null || $post->p_photo == "") {
                                                            ?>
                                                            <i class="fa fa-user-circle"> </i>
                                                            <?php
                                                        } else {
                                                            ?>
                                                            <img class="img img-circle" src="<?php echo base_url() . $post->p_photo; ?>" height="50px">
                                                            <?php
                                                        }
                                                        ?>
                                                    </span>
                                                    <?php echo $post->name; ?></h5>
                                                <h6 class="pull-right"><i class="fa fa-clock-o"></i> <?php echo date("d-m-Y h:i:s A", strtotime($post->datentime)); ?></h6>
                                            </div>
                                            <div class="card-body">
                                                <div class="row">
                                                    <div class="    <?php
                                                    if (!file_exists("./" . $post->pst_pic) || $post->pst_pic == null || $post->pst_pic == "") {
                                                        echo "col-lg-12";
                                                    } else {
                                                        echo "col-lg-8";
                                                    }
                                                    ?>">
                                                        <h5 class="card-title"></h5>
                                                        <p class="card-text"><?php echo $post->pst_content; ?></p>
                                                    </div>      
                                                    <?php
                                                    if (!(!file_exists("./" . $post->pst_pic) || $post->pst_pic == null || $post->pst_pic == "")) {
                                                        ?>
                                                        <div class="col-lg-4">
                                                            <img  src="<?php echo base_url() . $post->pst_pic; ?>" width="200px" height="150px">
                                                        </div>
                                                        <?php
                                                    }
                                                    ?>
                                                </div>
                                            </div>
                                            <div class="card-footer">
                                                <p class="pull-right" style="color:red;cursor: pointer;" onClick="window.location.href = '<?php echo site_url('user/Post/reportPost/' . $post->pst_id . "/" . $post->pst_report_count . "/" . $offset) ?>'" data-toggle="tooltip" title="Click To Report Post"><i class="fa fa-flag" ></i>&nbsp;Report</a></p>
                                            </div>
                                        </div>
                                    </div>
                                    <?php
                                }
                            } else {
                                ?>
                                <div class=" col-lg-12">
                                        <p class="alert-warning input__label">No Data Available.</p>
                                  
                                </div>
                                <?php
                            }
                            ?>
                            <div class="col-lg-12 mt-3 pull-right">
                                <?php echo $this->pagination->create_links(); ?> 
                            </div>
                        </div>
                    </div>
                </section>
            </div>
            <!-- //content -->
        </div>           
    </div>
    <!-- main content end-->
    <?php
    $this->load->view("user/footer");
    ?>
    <script>
        $(document).ready(function () {
            document.getElementById("dashboard").classList.remove("active");
            <?php
            $user = $this->session->userdata("userData");
            if ($user["user_role"] == "Alumni")
                echo 'document.getElementById("job").classList.remove("active");';
            ?>
            document.getElementById("postMgt").classList.remove("active");
            document.getElementById("gallery").classList.remove("active");
            document.getElementById("postMgt").classList.add("active");
        });
    </script>
