<?php
/*
 * Navigation Menus And Header
 */
?>
<!-- sidebar menu start -->
<div class="sidebar-menu sticky-sidebar-menu">
    <!-- logo start -->
    <!--    <div class="logo">
            <h1><a href="<?php echo site_url("Dashboard"); ?>"></a></h1>
        </div>-->
    <!-- if logo is image enable this -->
    <!-- image logo -->
    <div class="logo">
        <a href="<?php echo site_url("admin/Dashboard"); ?>">
            <img src="<?php echo base_url("assets/admin/images/side_nav_logo_420_120.png"); ?>" alt="<?php echo $this->session->userdata("adminData")["branch_name"]; ?>" title="<?php echo $this->session->userdata("adminData")["branch_name"]; ?>" class="img-fluid" style="height:50px;" />
        </a>
    </div>
    <!-- //image logo -->
    <div class="logo-icon text-center">
        <a href="<?php echo site_url("admin/Dashboard"); ?>" title="<?php echo $this->session->userdata("adminData")["branch_name"]; ?> | iCampusX"><img src="<?php echo base_url("assets/admin/images/logo.png"); ?>" alt="logo-icon"> </a>
    </div>
    <!-- //logo end -->
    <div class="sidebar-menu-inner">
        <!-- sidebar nav start -->
        <ul class="nav nav-pills nav-stacked custom-nav">
            <li id="dashboard" class=""><a href="<?php echo site_url("admin/Dashboard"); ?>"><i class="fa fa-tachometer"></i><span> Dashboard</span></a></li>
            <!-- Dynamically Loaded Menus Generation Starts -->
            <?php
            $menuData = $this->session->userdata("menuData");
            for ($i = 0; $i < sizeof($menuData); $i++) {
                $class = ($menuData[$i]['is_isolated_main_menu']) ? "" : "menu-list";
                ?>
                <li id="menu<?php echo $i; ?>" class="<?php echo $class; ?>">
                    <?php
                    if ($menuData[$i]['is_isolated_main_menu']) {
                        ?>
                        <a href="<?php echo site_url() . "admin/" . $menuData[$i]['main_menu_slug_url']; ?>">
                            <i class="<?php echo $menuData[$i]['main_menu_icon_class']; ?>"></i>
                            <span><?php echo $menuData[$i]['main_menu_name']; ?></span>
                        </a>
                    <?php } else { ?>
                        <a href="javascript:;" class="">
                            <i class="<?php echo $menuData[$i]['main_menu_icon_class']; ?>"></i>
                            <span><?php echo $menuData[$i]['main_menu_name']; ?><i class="lnr lnr-chevron-right"></i></span>
                        </a>
                        <ul id="subMenu<?php echo $i; ?>" class="sub-menu-list">
                            <?php
                            $subMenuData = $menuData[$i]['sub_menu_data'];
                            for ($j = 0; $j < sizeof($subMenuData); $j++) {
                                if ($subMenuData[$j]['is_hidden'] == "F") {
                                    ?>
                                    <li>
                                        <a class="" href="<?php echo site_url() . "admin/" . $subMenuData[$j]['sub_menu_slug_url']; ?>"><?php echo $subMenuData[$j]['sub_menu_name']; ?></a>
                                    </li>
                                    <?php
                                }
                            }
                            ?>
                        </ul>
                    <?php } ?>
                </li>
            <?php } ?>
            <!-- Dynamically Loaded Menus Generation Ends -->
            <li>
                <a href="" href="" data-toggle="modal" data-target="#cnfLogoutModal">
                    <i class="fa fa-power-off"></i>
                    <span>Logout</span>
                </a>
            </li>
        </ul>
        <!-- //sidebar nav end -->
        <!-- toggle button start -->
        <!--        <a class="toggle-btn">
                    <i class="fa fa-angle-double-left menu-collapsed__left"><span>Collapse Sidebar</span></i>
                    <i class="fa fa-angle-double-right menu-collapsed__right"></i>
                </a>-->
        <!-- //toggle button end -->
    </div>
</div>
<!-- //sidebar menu end -->
<!-- header-starts -->
<div class="header sticky-header">
    <!-- notification menu start -->
    <div class="menu-right">
        <div class="navbar user-panel-top">
            <!--            <div class="search-box">
                            <form action="#search-results.html" method="get">
                                <input class="search-input" placeholder="Student Name To Search" type="search" id="search">
                                <button class="search-submit" value=""><span class="fa fa-search"></span></button>
                            </form>
                        </div>-->
            <div class="user-dropdown-details d-flex">
                <div class="profile_details_left"></div>
                <div class="profile_details">
                    <ul>
                        <li class="dropdown profile_details_drop">
                            <a href="#" class="dropdown-toggle" data-toggle="dropdown" id="dropdownMenu3" aria-haspopup="true" aria-expanded="false">
                                <div class="profile_img">
                                    <img src="<?php echo base_url($this->session->userdata('adminData')['image']); ?>" class="rounded-circle" alt="">
                                    <div class="user-active">
                                        <span></span>
                                    </div>
                                </div>
                            </a>
                            <ul class="dropdown-menu drp-mnu" aria-labelledby="dropdownMenu3">
                                <li class="user-info">
                                    <h5 class="user-name"><?php echo $this->session->userdata("adminData")["first_name"]; ?></h5>
                                    <span class="status ml-2"><?php echo $this->session->userdata("adminData")["role"]; ?></span>
                                </li>
                                <li> <a href="<?php echo site_url("admin/Profile"); ?>"><i class="fa fa-user"></i>My Profile</a> </li>
                                <li> <a href="<?php echo site_url("admin/Profile/myAchievements"); ?>"><i class="fa fa-trophy"></i>My Achievements</a> </li>
                                <li> <a href="<?php echo site_url('admin/Feedback/submitFeedback') ?>"><i class="fa fa-commenting"></i>Feedback/Query</a> </li>
                                <li> <a href="<?php echo site_url('admin/ChangePassword') ?>"><i class="fa fa-key"></i>Change Password</a> </li>
                                <li> <a href="<?php echo site_url('admin/Authentication/myAccountActivity') ?>"><i class="fa fa-user-secret"></i> Account Activity</a> </li>
                                <li class="logout"><a href="" data-toggle="modal" data-target="#cnfLogoutModal"><i class="fa fa-power-off"></i> Logout</a> </li>
                            </ul>
                        </li>
                    </ul>
                </div>
            </div>
        </div>
    </div>
    <!--notification menu end -->
</div>
<!-- //header-ends -->

<!-- Confirm Logout Modal -->
<div class="modal fade" id="cnfLogoutModal" role="dialog" data-backdrop="static" data-keyboard="false">
    <div class="modal-dialog modal-dialog-centered">
        <div class="modal-content">
            <div class="modal-header">
                <h4 class="modal-title"><b>Ready to Leave?</b></h4>
                <button type="button" class="close" data-dismiss="modal">&times;</button>
            </div>

            <div class="modal-body" style="max-height: calc(100vh - 160px);overflow-y: auto;">
                <b>Click on "Logout" below if you are ready to end your current session.</b><br><br><br>
                <center><a class="btn btn-danger btn-sm" href="<?php echo site_url("admin/Authentication/authLogout"); ?>">Logout</a>
                    &nbsp;&nbsp;<button class="btn btn-info btn-sm" data-dismiss="modal">Cancel</button></center>
            </div>
        </div>
    </div>
</div>
<!-- Confirm Logout Modal -->
<!-- Change Password Modal -->
<div class="modal fade" id="changePasswordModal" role="dialog" data-backdrop="static" data-keyboard="false">
    <div class="modal-dialog modal-lg modal-dialog-centered">
        <div class="modal-content">
            <div class="modal-header">
                <h4 class="modal-title"><b>Change Password To Continue</b></h4>
            </div>

            <div class="modal-body" style="max-height: calc(100vh - 160px);overflow-y: auto;">
                <?php if (validation_errors() != false) { ?>
                    <div class="alert alert-danger"> <strong><?php echo validation_errors(); ?></strong> </div>
                <?php } ?>
                <?php if ($this->session->flashdata('successMessagePsw')) { ?>
                    <div class="alert alert-success"> <strong><?php echo $this->session->flashdata('successMessagePsw') . " <p style='color:#FF0000'>You Will Be Logged Out Now.</p>"; ?> </strong> </div>
                    <?php
                    $this->output->set_header("refresh:3;url='" . site_url('/admin/Authentication/authLogout') . "'");
                }
                ?>
                <?php if ($this->session->flashdata('errorMessagePsw')) { ?>
                    <div class="alert alert-danger"> <strong><?php echo $this->session->flashdata('errorMessagePsw'); ?></strong> </div>
                <?php } ?>
                <?php echo form_open(site_url('admin/ChangePassword/changePassword'), ['name' => 'passwordUpdateFrm', 'id' => 'passwordUpdateFrm']); ?>
                <fieldset>
                    <div class="form-row">
                        <div class="form-group col-md-12">
                            <label for="curPass" class="input__label">Current Password *</label>
                            <input type="password" class="form-control input-style" id="curPass" name="curPass" placeholder="Enter Current Password">
                        </div>
                    </div>
                    <div class="form-row">
                        <div class="form-group col-md-12">
                            <label for="newPass" class="input__label">New Password *</label>
                            <input type="password" class="form-control input-style" id="newPass" name="newPass" placeholder="Enter Current Password (6-12 Chars)" maxlength="12">
                        </div>
                    </div>
                    <div class="form-row">
                        <div class="form-group col-md-12">
                            <label for="confNewPass" class="input__label">Confirm New Password *</label>
                            <input type="password" class="form-control input-style" id="confNewPass" name="confNewPass" placeholder="Re-Enter New Password (6-12 Chars)" maxlength="12">
                        </div>
                    </div>
                </fieldset>
                <button type="submit" class="btn btn-primary btn-block btn-style mt-4"><i class="fa fa-key"></i>&nbsp;Change Password</button>
                <?php echo form_close(); ?>
            </div>
        </div>
    </div>
</div>
<!-- Change Password Modal -->
<script>
    if ('<?php echo $this->session->userdata("adminData")["is_first_login"]; ?>' === 'T') {
        $("#changePasswordModal").modal('show');
    }
</script>