<!DOCTYPE HTML>
<html>
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <title>Criterion 3: <?php echo stripslashes($subCriteria[0]->cr_name); ?> OBES | College Automation System | <?php echo $this->session->userdata("adminData")["branch_short_name"]; ?></title>
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/style.css"); ?>">
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/jquery.dataTables.min.css"); ?>" type='text/css'>
        <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Nunito:300,400,600,700,800,900&amp;display=swap">
        <link rel="image icon" href="<?php echo base_url("assets/admin/images/logo.png"); ?>">
        <script src="<?php echo base_url("assets/admin/js/jquery-1.10.2.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/bootstrap.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/jquery.dataTables.min.js"); ?>"></script>
    </head>
    <body class="cbp-spmenu-push">
        <div class="se-pre-con"></div>
        <section>
            <?php $this->load->view("admin/navAndHeader"); ?>
            <div class="main-content">
                <div class="container-fluid content-top-gap">
                    <nav aria-label="breadcrumb">
                        <ol class="breadcrumb my-breadcrumb">
                            <li class="breadcrumb-item"><a href="<?php echo site_url("admin/Dashboard"); ?>">Home</a></li>
                            <li class="breadcrumb-item">OBES</li>
                            <li class="breadcrumb-item active" aria-current="page"><a href="<?php echo site_url("admin/OBES/criterion3"); ?>">Criterion : <?php echo stripslashes($subCriteria[0]->cr_name); ?></a></li>
                        </ol>
                    </nav>
                    <section class="data-tables">
                        <div class="card card_border p-4">
                            <h3 class="card__title"><i class="fa fa-address-book"></i> Criterion 3: <?php echo stripslashes($subCriteria[0]->cr_name); ?></h3><br>
                            <div class="card-body">
                                <?php if ($this->session->flashdata('successMessage')) { ?>
                                    <div class="alert alert-success alert-dismissible fade show"> 
                                        <strong><?php echo $this->session->flashdata('successMessage'); ?></strong> 
                                        <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                                            <span aria-hidden="true">&times;</span>
                                        </button>
                                    </div>
                                <?php } ?>
                                <?php if ($this->session->flashdata('errorMessage')) { ?>
                                    <div class="alert alert-danger alert-dismissible fade show"> 
                                        <strong><?php echo $this->session->flashdata('errorMessage'); ?></strong> 
                                        <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                                            <span aria-hidden="true">&times;</span>
                                        </button>
                                    </div>
                                <?php } ?>
                                <fieldset>
                                    <?php for ($i = 0; $i < sizeof($subCriteria); $i++) {
                                        ?>
                                        <div class="accordion" id="accordionExample<?php echo $i; ?>">
                                            <div class="card">
                                                <div class="card-header bg-white p-0" id="heading<?php echo $i; ?>">
                                                    <a href="#" class="p-3" data-toggle="collapse" data-target="#collapse<?php echo $i; ?>" aria-expanded="true" aria-controls="collapse<?php echo $i; ?>">1.<?php echo $subCriteria[$i]->csm_name; ?></a>
                                                </div>
                                                <div id="collapse<?php echo $i; ?>" class="collapse" aria-labelledby="heading<?php echo $i; ?>" data-parent="#accordionExample<?php echo $i; ?>">
                                                    <div class="card-body para__style">
                                                        <?php
                                                        for ($j = 0; $j < sizeof($guidelines); $j++) {
                                                            $record = $guidelines[$j];
                                                            if ($subCriteria[$i]->csm_id == $record->csm_id) {
                                                                ?>
                                                                <div class="accordion" id="accordionExample<?php echo $i . $j; ?>">
                                                                    <div class="card">
                                                                        <div class="card-header bg-white p-0" id="heading<?php echo $i . $j; ?>">
                                                                            <a href="#" class="p-3" data-toggle="collapse" data-target="#collaps<?php echo $i . $j; ?>" aria-expanded="true" aria-controls="collaps<?php echo $i . $j; ?>">1.<?php echo $record->csgm_name; ?></a>
                                                                        </div>
                                                                        <div id="collaps<?php echo $i . $j; ?>" class="collapse" aria-labelledby="heading<?php echo $i . $j; ?>" data-parent="#accordionExample<?php echo $i . $j; ?>">
                                                                            <div class="card-body para__style">
                                                                                <?php echo form_open_multipart(site_url('admin/OBES/saveGuideFile3/'), ['name' => 'gudieFile1Frm', 'id' => 'gudieFile1Frm']); ?>
                                                                                <fieldset>

                                                                                    <div class="form-row">
                                                                                        <div class="form-group col-sm-4">
                                                                                            <label for="cgfm_file" class="input__label ">Guideline File * </label>
                                                                                            <input type="file" name="cgfm_file" id="cgfm_file" class="form-control" placeholder="Upload File">
                                                                                        </div>
                                                                                        <?php if ($record->csgm_withsession == "T") { ?>
                                                                                            <div class="form-group col-md-4">
                                                                                                <label class="input__label " for="csgf_session">Session *</label>
                                                                                                <select name="csgf_session" id="csgf_session" class="custom-select">
                                                                                                    <option  value="<?php echo set_select("csgf_session", ""); ?>">-Session-</option>
                                                                                                    <?php
                                                                                                    for ($i = 0; $i < sizeof($sessions); $i++) {
                                                                                                        $ct = $sessions[$i];
                                                                                                        ?>
                                                                                                        <option value="<?php echo $ct->session_id; ?>" ><?php echo $ct->session_name; ?>
                                                                                                        </option>
                                                                                                        <?php
                                                                                                    }
                                                                                                    ?>

                                                                                                </select>

                                                                                            </div>
                                                                                        <?php } ?>
                                                                                        <div class="form-group col-sm-5">
                                                                                            <?php
                                                                                            for ($k = 0; $k < sizeof($guidelineFile); $k++) {
                                                                                                $r = $guidelineFile[$k];
                                                                                                if ($record->csgm_id == $r->csgm_id) {
                                                                                                    ?>
                                                                                                    <a class="btn btn-primary btn-block btn-style mt-4 col-sm-6" href="<?php echo base_url("$r->cgfm_file"); ?>" target="_blank">View/ Download</a>
                                                                                                    <input type="hidden" name="cg" value="<?php echo $r->cgfm_id; ?>">    
                                                                                                    <?php
                                                                                                }
                                                                                            }
                                                                                            ?>
                                                                                        </div>
                                                                                    </div>

                                                                                    <input type="hidden" name="withsession" value="<?php echo $record->csgm_withsession; ?>">
                                                                                    <input type="hidden" name="csgm_id" value="<?php echo $record->csgm_id; ?>">
                                                                                </fieldset>
                                                                                <button type="submit" class="btn btn-primary btn-block btn-style mt-2 col-sm-6">Upload</button>                                       
                                                                                <?php echo form_close(); ?>
                                                                            </div>
                                                                        </div>
                                                                    </div>
                                                                </div>

                                                                <?php
                                                            }
                                                        }
                                                        ?>
                                                    </div>
                                                </div>
                                            </div>

                                        </div>
                                        <?php
                                    }
                                    ?>
                                </fieldset>
                            </div>
                        </div>
                    </section>
                </div>
        </section>
        <?php $this->load->view("admin/footer"); ?>
    </body>
</html>

