<?php

/*
 * Controller Page For Home Page For Handling The Bootstrap Request
 * Caution: Please Do Not Upload This File Directly On Server, There Are Some Code That Will Not Work In Live Environment.
 *  */
defined('BASEPATH') OR exit('No direct script access allowed');

class Home extends CI_Controller {

    public function __construct() {
        parent::__construct();
        $this->load->helper('url');
        $this->load->library('session');
        $this->load->model('InstituteManagement');
        $this->load->library('PreLoginInfo');
    }

    public function index() {
        $clearingArray = array(
            'inst_instance_set' => 0,
            'inst_opr_allowed' => 0,
            'inst_id' => 0,
            'inst_name' => '',
            'inst_email' => '',
            'inst_mobile' => '',
            'inst_logo_url' => ''
        );
        if ($this->session->userdata('logged_in')) {
            redirect("Dashboard");
        }
        $this->prelogininfo->clearPreLoginInfo($clearingArray);
        $parsedURL = parse_url($_SERVER['HTTP_HOST']);
        //print_r($parsedURL['host']);
        //$port = $parsedURL['port'];
        //$host = explode('.', $parsedURL['host']);
        /* if (sizeof($host) >= 3) { */
        //$subdomain = $host[1];
        $instituteInfo = $this->InstituteManagement->getInstituteInfoByURI($parsedURL['path'])->result();
        if (sizeof($instituteInfo)) {
            if ($instituteInfo[0]->clg_delete_status == "F") {
                if ($instituteInfo[0]->clg_active_status == "T") {
                    $preLoginInstInfo = array(
                        'inst_instance_set' => 1,
                        'inst_opr_allowed' => 1,
                        'inst_id' => $instituteInfo[0]->clg_id,
                        'inst_name' => $instituteInfo[0]->clg_name,
                        'inst_email' => $instituteInfo[0]->clg_email,
                        'inst_mobile' => $instituteInfo[0]->clg_mobile,
                        'inst_logo_url' => $instituteInfo[0]->clg_logo_url
                    );
                    $this->prelogininfo->setPreLoginInfo($preLoginInstInfo);
                    $this->load->view('home');
                } else {
                    $clearingArray = array(
                        'inst_instance_set' => 0,
                        'inst_opr_allowed' => 0,
                        'inst_id' => 0,
                        'inst_name' => '',
                        'inst_email' => '',
                        'inst_mobile' => '',
                        'inst_logo_url' => ''
                    );
                    $this->prelogininfo->clearPreLoginInfo($clearingArray);
                    echo "Your Institute Package Is Blocked.";
                }
            } else {
                $clearingArray = array(
                    'inst_instance_set' => 0,
                    'inst_opr_allowed' => 0,
                    'inst_id' => 0,
                    'inst_name' => '',
                    'inst_email' => '',
                    'inst_mobile' => '',
                    'inst_logo_url' => ''
                );
                $this->prelogininfo->clearPreLoginInfo($clearingArray);
                echo "Your Institute Package Has Been Suspended.";
            }
        } else {
            $clearingArray = array(
                'inst_instance_set' => 0,
                'inst_opr_allowed' => 0,
                'inst_id' => 0,
                'inst_name' => '',
                'inst_email' => '',
                'inst_mobile' => '',
                'inst_logo_url' => ''
            );
            $this->prelogininfo->clearPreLoginInfo($clearingArray);
            echo "Invalid URL";
        }
        /* } else {
          echo "Main Website";
          } */
    }

}
