<?php

/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

/**
 * Description of DepartmentManagement
 *
 * @author Softpro India Pvt. Ltd
 */
class DepartmentManagement extends CI_Model {

    //put your code here
    function saveDepartment($departmentData) {
        $this->db->insert("department_mst", $departmentData);
        return $this->db->insert_id();
    }

    function getDepartments($dm_active_status = '', $dm_delete_status = '') {
        $this->db->select("*");
        $this->db->from("department_mst d");
        if ($dm_active_status = '') {
            $this->db->where("dm_active_status", $dm_active_status);
        }
        if ($dm_delete_status != '') {
            $this->db->where("dm_delete_status", $dm_delete_status);
        }
        $this->db->order_by("dm_name", "ASC");
        return $this->db->get();
    }

    function getDepartmentByID($deptid) {
        $this->db->select("*");
        $this->db->from("department_mst");
        $this->db->where("dm_id", $deptid);
        return $this->db->get();
    }

    function updateDepartment($departmentData, $deptid) {
        $this->db->where("dm_id", $deptid);
        return $this->db->update("department_mst", $departmentData);
    }

    function getDepartmentByName($deptname, $deptid = '') {
        $this->db->select("*");
        $this->db->from("department_mst");
        $this->db->where("dm_name", $deptname);
        if ($deptid != '') {
            $this->db->where("dm_id NOT IN ($deptid)");
        }
        return $this->db->get();
    }

    function getDepartmentByCategory($cm_id) {
        $this->db->select("*");
        $this->db->from("department_mst");
        $this->db->where("dm_active_status", "T");
        $this->db->where("dm_delete_status", "F");
        $this->db->where("cm_id", $cm_id);
        return $this->db->get();
    }

}
