<?php
/**
 *
 * @author Softpro India Pvt. Ltd.
 */
class LocationManagement extends CI_Model {
    function getStates() {
        $this->db->select("*");
        $this->db->from("tbl_states_master");
        $this->db->order_by("state_name", "ASC");
        return $this->db->get();
    }

    function getCities($state = '') {
        $this->db->select("*");
        $this->db->from("tbl_city_master");
        if ($state != '') {
            $this->db->where("state_id", $state);
        }
        $this->db->order_by("city_name","ASC");
        return  $this->db->get();
    }
    function getCountries(){
        $this->db->select("*");
        $this->db->from("tbl_countries");
        $this->db->order_by("country_name", "ASC");
        return $this->db->get();
    }

}
