<!DOCTYPE HTML>
<html>
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <title>All Branches List :: <?php echo $this->session->userdata("branchData")["branch_short_name"]; ?> | Admission Portal</title>
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/style-liberty.css"); ?>">
<!--        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/jquery-ui.css"); ?>" type='text/css'>-->
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/jquery.dataTables.min.css"); ?>" type='text/css' />
<!--        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/buttons.dataTables.min.css"); ?>" type='text/css' />-->
        <link rel="image icon" href="<?php echo base_url("/assets/images/logo.png"); ?>">
        <!-- google fonts -->
        <link href="https://fonts.googleapis.com/css?family=Nunito:300,400,600,700,800,900&amp;display=swap" rel="stylesheet">
        <script src="<?php echo base_url("assets/admin/js/jquery-1.10.2.min.js"); ?>"></script>
<!--        <script src="<?php echo base_url("assets/admin/js/jquery-ui.js"); ?>"></script>-->
        <script src="<?php echo base_url("assets/admin/js/bootstrap.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/jquery.dataTables.min.js"); ?>"></script>
<!--        <script src="<?php echo base_url("assets/admin/js/dataTables.buttons.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/jszip.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/pdfmake.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/vfs_fonts.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/buttons.html5.min.js"); ?>"></script>-->
        <script>
            var csrfHash = '';
        </script>
    </head>
    <body class="cbp-spmenu-push sidebar-menu-collapsed">
        <div class="se-pre-con"></div>
        <section>
            <?php $this->load->view("admin/navAndHeader"); ?>
            <div class="main-content">
                <div class="container-fluid content-top-gap">
                    <nav aria-label="breadcrumb">
                        <ol class="breadcrumb my-breadcrumb">
                            <li class="breadcrumb-item"><a href="<?php echo site_url("admin/Dashboard"); ?>">Home</a></li>
                            <li class="breadcrumb-item" aria-current="page"><a href="<?php echo site_url("admin/Branch/"); ?>">Branch Management</a></li>
                            <li class="breadcrumb-item active" aria-current="page"><a href="<?php echo site_url("admin/Branch"); ?>">All Branches</a></li>
                        </ol>
                    </nav>

                    <section class="data-tables">
                        <div class="card card_border p-4">
                            <h3 class="card__title"><i class="fa fa-code-fork"></i> Branch Management</h3><br>
                            <div class="table-responsive">
                                <?php if ($this->session->flashdata('successMessage')) { ?>
                                    <div class="alert alert-success"> <strong><?php echo $this->session->flashdata('successMessage'); ?></strong></div>
                                <?php } ?>
                                <?php if ($this->session->flashdata('errorMessage')) { ?>
                                    <div class="alert alert-danger"> <strong><?php echo $this->session->flashdata('errorMessage'); ?></strong> </div>
                                <?php } ?>
                                <table id="allBranches" class="bootstrap-datatable table-striped table-hover" style="width:100%">
                                    <thead>
                                        <tr>
                                            <th>Sr. No</th>
                                            <th>Name</th>
                                            <th>City|State</th>
                                            <th>Address</th>
                                            <th>Email</th>
                                            <th>Website</th>
                                            <th>Contact Nos.</th>
                                            <th>Action</th>
                                        </tr>
                                    </thead>
                                    <tfoot>
                                        <tr>
                                            <th>Sr. No</th>
                                            <th>Name</th>
                                            <th>City|State</th>
                                            <th>Address</th>
                                            <th>Email</th>
                                            <th>Website</th>
                                            <th>Contact Nos.</th>
                                            <th>Action</th>
                                        </tr>
                                    </tfoot>
                                    <tbody>
                                        <?php
                                        for ($i = 0; $i < sizeof($allBranches); $i++) {
                                            $record = $allBranches[$i];
                                            ?>
                                            <tr>
                                                <td><?php echo ($i + 1); ?></td>
                                                <td><?php echo stripslashes($record->branch_name); ?></td>
                                                <td><?php echo $record->city_name . "|" . $record->state_name; ?></td>
                                                <td><?php echo ($record->branch_full_address == "" || $record->branch_full_address == NULL) ? "NA" : stripslashes($record->branch_full_address); ?></td>
                                                <td><?php echo $record->branch_email; ?></td>
                                                <td><?php echo ($record->branch_website_url == "" || $record->branch_website_url == NULL) ? "NA" : "<a href='" . $record->branch_website_url . "' target='_blank'>" . $record->branch_website_url . "</a>"; ?></td>
                                                <td>
                                                    <?php
                                                    echo trim($record->branch_mobile_no) . " | ";
                                                    echo ($record->branch_tel_no == "" || $record->branch_tel_no == NULL) ? "NA" : $record->branch_tel_no;
                                                    ?>
                                                </td>
                                                <td>
                                                    <?php
                                                    if ($record->branch_delete_status == 'F') {
                                                        if ($record->branch_active_status == 'T') {
                                                            ?>
                                                            <i class="fa fa-ban" style="color:#FF0000;cursor: pointer;" title="Disable This Branch" onClick="window.location.href = '<?php echo site_url('admin/Branch/toggleBranchActiveStatus/' . $record->branch_id . '/F') ?>'"></i> 
                                                            <i class='fa fa-edit' style='color:#002166;cursor: pointer;' title="Edit This Branch" onClick="window.location.href = '<?php echo site_url('admin/Branch/editBranch/' . $record->branch_id) ?>'"  ></i>
                                                            <i class="fa fa-trash" style="color:#FF0000;cursor: pointer;" title="Delete This Branch" onClick="window.location.href = '<?php echo site_url('admin/Branch/deleteBranch/' . $record->branch_id) ?>'"></i> 
                                                        <?php } else { ?>
                                                            <i class="fa fa-check-circle" style="color:#297534;cursor: pointer;" title="Enable This Branch" onClick="window.location.href = '<?php echo site_url('admin/Branch/toggleBranchActiveStatus/' . $record->branch_id . '/T') ?>'"></i> 
                                                            <i class='fa fa-edit' style='color:#002166;cursor: pointer;' title="Edit This Branch" onClick="window.location.href = '<?php echo site_url('admin/Branch/editBranch/' . $record->branch_id) ?>'"  ></i>
                                                            <i class="fa fa-trash" style="color:#FF0000;cursor: pointer;" title="Delete This Branch" onClick="window.location.href = '<?php echo site_url('admin/Branch/deleteBranch/' . $record->branch_id) ?>'"></i> 
                                                            <?php
                                                        }
                                                    } else {
                                                        ?>
                                                        <b>Branch Deleted By <?php echo $record->updatedByAdmin; ?> On <?php echo date("d-m-Y h:i:s A", strtotime($record->branch_updated_on)); ?>. <a href="<?php echo site_url('admin/Branch/undoDeleteBranch/' . $record->branch_id) ?>">Click To Undo <i class="fa fa-undo" style="color:#FF0000"></i></a></b> 
                                                    <?php } ?>
                                                    <i class="fa fa-info-circle" style="color:#002166;cursor: pointer;" title="More Info" onClick="getBranchInfo(<?php echo $record->branch_id; ?>);"></i> 
                                                </td>
                                            </tr>
                                        <?php } ?>
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </section>
                </div>
            </div>
        </section>

        <script>
            $(document).ready(function () {
                $("#allBranches").DataTable({responsive: true, dom: 'Blfrtip'});
            });

            function getBranchInfo(branch_id) {
                event.preventDefault();
                $(".se-pre-con").fadeIn("slow");
                if (csrfHash === '') {
                    csrfHash = '<?php echo $this->security->get_csrf_hash(); ?>';
                }
                $.ajax({
                    url: '<?php echo site_url('admin/Branch/getBranchFullInfo/'); ?>',
                    data: {branch_id: branch_id, csrf_token: csrfHash},
                    type: 'POST',
                    success: function (result) {
                        $(".se-pre-con").fadeOut("slow");
                        var thisBranchInfo = JSON.parse(result);
                        csrfHash = thisBranchInfo.csrfHash;
                        $("#branch_image").prop("src", '<?php echo base_url("/"); ?>' + thisBranchInfo.branch_image);
                        $("#branch_website_a").prop("href", thisBranchInfo.branch_website);
                        $("#branch_name").html(thisBranchInfo.branch_name);
                        $("#branch_state").html(thisBranchInfo.branch_state);
                        $("#branch_city").html(thisBranchInfo.branch_city);
                        $("#branch_address").html(thisBranchInfo.branch_address);
                        $("#branch_tel_no").html(thisBranchInfo.branch_tel_no);
                        $("#branch_mob_no").html(thisBranchInfo.branch_mob_no);
                        $("#branch_fax").html(thisBranchInfo.branch_fax);
                        $("#branch_email").html(thisBranchInfo.branch_email);
                        $("#branch_coffc_address").html(thisBranchInfo.branch_coffc_address);
                        $("#branch_coffc_tel_no").html(thisBranchInfo.branch_coffc_tel_no);
                        $("#branch_coffc_mob_no").html(thisBranchInfo.branch_coffc_mob_no);
                        $("#branch_coffc_fax").html(thisBranchInfo.branch_coffc_fax);
                        $("#branch_coffc_email").html(thisBranchInfo.branch_coffc_email);
                        $("#branch_website").html(thisBranchInfo.branch_website);
                        $("#branch_active_status").html(thisBranchInfo.branch_active_status);
                        $("#branch_delete_status").html(thisBranchInfo.branch_delete_status);
                        $("#branch_created_by").html(thisBranchInfo.branch_created_by);
                        $("#branch_updated_by").html(thisBranchInfo.branch_updated_by);
                        $("#branchDetailsModal").modal('show');
                    }
                });
            }
        </script>
        <?php $this->load->view("admin/footer"); ?>
        <!-- Branch Details Modal Starts -->
        <div class="modal fade" id="branchDetailsModal" role="dialog" data-backdrop="static" data-keyboard="false">
            <div class="modal-dialog modal-lg">
                <div class="modal-content">
                    <div class="modal-header">
                        <h4 class="modal-title">Branch Info</h4>
                        <button type="button" class="close" data-dismiss="modal">&times;</button>
                    </div>
                    <div class="modal-body" style="max-height: calc(100vh - 160px);overflow-y: auto;">
                        <fieldset>
                            <div class="row">
                                <div class="col-sm-12">
                                    <center>
                                        <img src="" id="branch_image" width="100px"><br>
                                        <b><span id="branch_name"></span></b><br>
                                        <b><span id="branch_website"></span>&nbsp;<a href="" id="branch_website_a" target="_blank" title="Open"><i class="fa fa-external-link-square"></i></a></b>
                                    </center>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-sm-3"><b>Tel. No.</b></div>
                                <div class="col-sm-3"><span id="branch_tel_no"></span></div>
                                <div class="col-sm-3"><b>Mobile No.</b></div>
                                <div class="col-sm-3"><span id="branch_mob_no"></span></div>
                            </div>
                            <div class="row">
                                <div class="col-sm-3"><b>Email</b></div>
                                <div class="col-sm-3"><span id="branch_email"></span></div>
                                <div class="col-sm-3"><b>Fax</b></div>
                                <div class="col-sm-3"><span id="branch_fax"></span></div>
                            </div>
                            <div class="row">
                                <div class="col-sm-3"><b>State</b></div>
                                <div class="col-sm-3"><span id="branch_state"></span></div>
                                <div class="col-sm-3"><b>City</b></div>
                                <div class="col-sm-3"><span id="branch_city"></span></div>
                            </div>
                            <div class="row">
                                <div class="col-sm-3"><b>Address</b></div>
                                <div class="col-sm-9"><span id="branch_address"></span></div>
                            </div>
                            <div class="row">
                                <div class="col-sm-3"><b>City Office Tel. No.</b></div>
                                <div class="col-sm-3"><span id="branch_coffc_tel_no"></span></div>
                                <div class="col-sm-3"><b>City Office Mobile No.</b></div>
                                <div class="col-sm-3"><span id="branch_coffc_mob_no"></span></div>
                            </div>
                            <div class="row">
                                <div class="col-sm-3"><b>City Office Email</b></div>
                                <div class="col-sm-3"><span id="branch_coffc_email"></span></div>
                                <div class="col-sm-3"><b>City Office Fax</b></div>
                                <div class="col-sm-3"><span id="branch_coffc_fax"></span></div>
                            </div>

                            <div class="row">
                                <div class="col-sm-3"><b>City Office Address</b></div>
                                <div class="col-sm-9"><span id="branch_coffc_address"></span></div>
                            </div>
                            <div class="row">
                                <div class="col-sm-3"><b>Created By</b></div>
                                <div class="col-sm-9"><span id="branch_created_by"></span></div>
                            </div>
                            <div class="row">
                                <div class="col-sm-3"><b>Last Updated By</b></div>
                                <div class="col-sm-9"><span id="branch_updated_by"></span></div>
                            </div>
                            <div class="row">
                                <div class="col-sm-3"><b>Active Status</b></div>
                                <div class="col-sm-3"><span id="branch_active_status"></span></div>
                                <div class="col-sm-3"><b>Delete Status</b></div>
                                <div class="col-sm-3"><span id="branch_delete_status"></span></div>
                            </div>
                        </fieldset>
                    </div>    
                    <div class="modal-footer">
                        <button class="btn btn-danger" data-dismiss="modal">Close</button>
                    </div>
                </div>
            </div>
        </div>
        <!-- Branch Details Modal Ends -->
    </body>
</html>