<?php
$app = $application_details[0];
?>
<!doctype html>
<html lang="en">
    <head>
        <!-- Required meta tags -->
        <meta http-equiv="content-type" content="text/html;charset=UTF-8" />
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <title>Application Details:: <?php echo $this->session->userdata("branchData")["branch_short_name"]; ?> | Recruitment Portal</title>
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/style-liberty.css"); ?>">
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/jquery.dataTables.min.css"); ?>" type='text/css' />
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/jquery-ui.css"); ?>">
        <link rel="image icon" href="<?php echo base_url("/assets/images/logo.png"); ?>">
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/buttons.dataTables.min.css"); ?>" type='text/css' />
        <link href="https://fonts.googleapis.com/css?family=Nunito:300,400,600,700,800,900&amp;display=swap" rel="stylesheet">
        <script src="<?php echo base_url("assets/admin/js/jquery-1.10.2.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/bootstrap.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/jquery.dataTables.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/jquery-ui.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/dataTables.buttons.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/jszip.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/pdfmake.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/vfs_fonts.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/buttons.print.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/buttons.html5.min.js"); ?>"></script>
    </head>
    <body class="sidebar-menu-collapsed">
        <?php
        $this->load->view("user/navAndHeader");
        ?>
        <!-- main content start -->
        <div class="main-content">
            <!-- content -->
            <div class="container-fluid content-top-gap">
                <nav aria-label="breadcrumb">
                    <ol class="breadcrumb my-breadcrumb">
                        <li class="breadcrumb-item"><a href="<?php echo site_url("user/Dashboard") ?>">Home</a></li>
                        <li class="breadcrumb-item active" aria-current="page"><a href="<?php echo site_url("user/Report/") ?>">Application Report</a></li>
                        <li class="breadcrumb-item active" aria-current="page"><a href="<?php echo site_url("user/Report/applicationDetails/".$app['app_details_id']) ?>">Application Details</a></li>
                    </ol>
                </nav>
                <section class="data-tables">
                    <div class="card card_border p-5">
                        <h3 class="card__title"><i class="fa fa-table"></i>&nbsp;&nbsp;Application Details</h3><br>
                        <div class="card col-lg-10 offset-lg-1" id="appPrint">
                            <div class="card-header text-center">
                                <h2 class="font-weight-bold" style="color:#6555ab;"><?php echo $app["name"]; ?></h2>
                            </div>
                            <div class="card-body">
                                <div class="form-row">
                                    <h2 class="card__title font-weight-bold"></i>POST APPLIED FOR</h2><br>
                                </div>
                                <HR>
                                <div class="form-row">
                                    <div class="col-sm-12 p-2" style="font-size:16px; border:0px solid black;">
                                        <ul>
                                            <?php $count = 0;
                                            foreach ($app["designations"] as $desig) {
                                                ?>
                                                <li><?php echo strtoupper($desig); ?> ( <?php echo $app["departments"][$count]; ?> )</li>
                                                <?php $count++;
                                            }
                                            ?>
                                        </ul>
                                    </div>
                                </div>

                                <hr class="mt-3">
                                <div class="form-row ">
                                    <h2 class="card__title font-weight-bold"></i>PERSONAL DETAILS    </h2><br>
                                </div>
                                <hr>
                                <div class="form-row">
                                    <div class="col-sm-9 p-2" style="font-size:16px; border:0px solid black;">
                                        <div class="form-row">
                                            <div class="col-sm-3 font-weight-bold">Gender :</div>
                                            <div class="col-sm-3"><?php echo strtoupper($app["gender"]); ?></div>
                                            <div class="col-sm-3 font-weight-bold" >D.O.B. : </div>
                                            <div class="col-sm-3"><?php echo strtoupper($app["dob"]); ?></div>
                                        </div>
                                        <div class="form-row">
                                            <div class="col-sm-3 font-weight-bold">Marital Status :</div>
                                            <div class="col-sm-3"><?php echo strtoupper($app["m_status"]); ?></div>
                                            <div class="col-sm-3 font-weight-bold">Father's Name : </div>
                                            <div class="col-sm-3"><?php echo strtoupper($app["fanm"]); ?></div>
                                        </div>
                                        <div class="form-row font-weight-bold mt-5">
                                            <div class="col-lg-10">Present Address :</div>                     
                                        </div>
                                        <div class="form-row mt-2">
                                            <div class="col-sm-3 font-weight-bold"> Street :</div>
                                            <div class="col-sm-9"><?php echo strtoupper($app["mail_add"]); ?></div>
                                        </div>
                                        <div class="form-row">
                                            <div class="col-sm-1 font-weight-bold"> City :</div>
                                            <div class="col-sm-2"><?php echo strtoupper($app["mailing_city"]); ?></div>
                                            <div class="col-sm-2 font-weight-bold"> State :</div>
                                            <div class="col-sm-3"><?php echo strtoupper($app["mailing_state"]); ?></div>
                                            <div class="col-sm-2 font-weight-bold"> Pincode :</div>
                                            <div class="col-sm-2"><?php echo strtoupper($app["mailing_pin"]); ?></div>
                                        </div>
                                        <div class="form-row font-weight-bold mt-5">
                                            <div class="col-lg-10">Permanent Address :</div>                     
                                        </div>
                                        <div class="form-row mt-2">
                                            <div class="col-sm-3 font-weight-bold">Street :</div>
                                            <div class="col-sm-9"><?php echo strtoupper($app["per_add"]); ?></div>
                                        </div>
                                        <div class="form-row">
                                            <div class="col-sm-1 font-weight-bold"> City :</div>
                                            <div class="col-sm-2"><?php echo strtoupper($app["per_city"]); ?></div>
                                            <div class="col-sm-2 font-weight-bold"> State :</div>
                                            <div class="col-sm-3"><?php echo strtoupper($app["per_state"]); ?></div>
                                            <div class="col-sm-2 font-weight-bold"> Pincode :</div>
                                            <div class="col-sm-2"><?php echo strtoupper($app["per_pin"]); ?></div>
                                        </div>
                                        <div class="form-row mt-4">
                                            <div class="col-sm-2 font-weight-bold">Mobile :</div>
                                            <div class="col-sm-3"><?php echo strtoupper($app["mobile"]); ?></div>
                                            <div class="col-sm-2 font-weight-bold">Email : </div>
                                            <div class="col-sm-5"><?php echo strtoupper($app["email"]); ?></div>
                                        </div>
                                    </div>
                                    <div class="col-sm-3" style="border:0px solid black;">
                                        <div class="img-responsive text-center">
                                            <img src="<?php echo base_url() . $app["photo"]; ?>" width="140px">
                                        </div>
                                    </div>
                                </div>

                                <hr class="mt-3">
                                <div class="form-row">
                                    <h2 class="card__title font-weight-bold"></i>EDUCATIONAL QUALIFICATION   </h2><br>
                                </div>
                                <hr>
                                <div class="form-row">
                                    <div class="col-lg-12" style="font-size:16px; border:0px solid black;">
                                        <table class="" border="1" style="border-collapse:collapse; table-layout:fixed; width:100%;">
                                            <thead>
                                                <tr valign="center">
                                                    <th>Title</th>
                                                    <th >Name Of Examination</th>
                                                    <th >Board/University of Examination</th>
                                                    <th >Subjects</th>
                                                    <th>Year of Passing</th>
                                                    <th>CGPA/ Marks (%)</th>
                                                    <th>Division</th>                                             
                                                </tr>
                                            </thead>
                                            <tbody>
                                                <tr>
                                                    <th>HIGH SCHOOL / 10 <sup>th</sup></th>
                                                    <td><?php echo strtoupper($app["exam10"]); ?></td>
                                                    <td><?php echo strtoupper($app["univ10"]); ?></td>
                                                    <td style="word-wrap:break-word;"><?php echo strtoupper($app["subject10"]); ?></td>
                                                    <td><?php echo strtoupper($app["year10"]); ?></td>
                                                    <td><?php echo strtoupper($app["per10"]); ?></td>
                                                    <td><?php echo strtoupper($app["div10"]); ?></td>
                                                </tr>
                                                <tr>
                                                    <th>INTERMIDIATE / 12 <sup>th</sup></th>
                                                    <td><?php echo strtoupper($app["exam12"]); ?></td>
                                                    <td><?php echo strtoupper($app["univ12"]); ?></td>
                                                    <td style="word-wrap:break-word;"><?php echo strtoupper($app["subject12"]); ?></td>
                                                    <td><?php echo strtoupper($app["year12"]); ?></td>
                                                    <td><?php echo strtoupper($app["per12"]); ?></td>
                                                    <td><?php echo strtoupper($app["div12"]); ?></td>
                                                </tr> 
                                                <tr>
                                                    <th>GRADUATION</th>
                                                    <td><?php echo strtoupper($app["exam1"]); ?></td>
                                                    <td><?php echo strtoupper($app["univ1"]); ?></td>
                                                    <td style="word-wrap:break-word;"><?php echo strtoupper($app["subject1"]); ?></td>
                                                    <td><?php echo strtoupper($app["year1"]); ?></td>
                                                    <td><?php echo strtoupper($app["per1"]); ?></td>
                                                    <td><?php echo strtoupper($app["div1"]); ?></td>
                                                </tr> 
                                                <tr>
                                                    <th>POST GRADUATION</th>
                                                    <td><?php echo strtoupper($app["exam2"]); ?></td>
                                                    <td><?php echo strtoupper($app["univ2"]); ?></td>
                                                    <td style="word-wrap:break-word;"><?php echo strtoupper($app["subject2"]); ?></td>
                                                    <td><?php echo strtoupper($app["year2"]); ?></td>
                                                    <td><?php echo strtoupper($app["per2"]); ?></td>
                                                    <td><?php echo strtoupper($app["div2"]); ?></td>
                                                </tr> 
                                                <tr>
                                                    <th>OTHER POST GRADUATION</th>
                                                    <td><?php echo strtoupper($app["exam0"]); ?></td>
                                                    <td><?php echo strtoupper($app["univ0"]); ?></td>
                                                    <td style="word-wrap:break-word;"><?php echo strtoupper($app["subject0"]); ?></td>
                                                    <td><?php echo strtoupper($app["year0"]); ?></td>
                                                    <td><?php echo strtoupper($app["per0"]); ?></td>
                                                    <td><?php echo strtoupper($app["div0"]); ?></td>
                                                </tr> 
                                            </tbody>
                                        </table>
                                    </div>
                                </div>
                                <hr class="mt-3">
                                <div class="form-row font-weight-bold mt-4">
                                    <h2 class="card__title font-weight-bold">UGC-NET QUALIFIED (<?php echo ($app["net"] == "T") ? "YES" : "NO"; ?>) </h2>                     
                                </div>
                                <hr >
                                <div class="form-row mt-2">
                                    <div class="col-sm-3 font-weight-bold">Passing Year:</div>
                                    <div class="col-sm-3"><?php echo strtoupper($app["netyear"]); ?></div>
                                    <div class="col-sm-3 font-weight-bold">Stream : </div>
                                    <div class="col-sm-3"><?php echo strtoupper($app["netstream"]); ?></div>
                                </div>
                                <hr class="mt-3">
                                <div class="form-row font-weight-bold mt-4">
                                    <h2 class="card__title font-weight-bold">P.H.D. QUALIFIED (<?php echo ($app["phd"] == "NA") ? "NOT APPLICABLE" : $app["phd"]; ?>) </h2>                     
                                </div>
                                <hr>
                                <div class="form-row mt-2">
                                    <div class="col-sm-3 font-weight-bold">Topic:</div>
                                    <div class="col-sm-3"><?php echo strtoupper($app["phtopic"]); ?></div>
                                    <div class="col-sm-3 font-weight-bold">Stream : </div>
                                    <div class="col-sm-3"><?php echo strtoupper($app["phstream"]); ?></div>
                                </div>
                                <div class="form-row">
                                    <div class="col-sm-3 font-weight-bold">University:</div>
                                    <div class="col-sm-3"><?php echo strtoupper($app["phuniv"]); ?></div>
                                    <div class="col-sm-3 font-weight-bold">Year : </div>
                                    <div class="col-sm-3"><?php echo strtoupper($app["phyear"]); ?></div>
                                </div>
                                <hr class="mt-3">
                                <div class="form-row font-weight-bold mt-4">
                                    <h2 class="card__title font-weight-bold">RESEARCH & PUBLICATIONS</h2>                     
                                </div>
                                <hr>
                                <div class="form-row mt-2">
                                    <div class="col-sm-4 font-weight-bold">Paper Published in Referred Journals  :</div>
                                    <div class="col-sm-1"><?php echo strtoupper($app["journal"]); ?></div>
                                    <div class="col-sm-5 font-weight-bold">Paper Published in Seminars/ Conference/ Proceedings  : </div>
                                    <div class="col-sm-1"><?php echo strtoupper($app["seminar"]); ?></div>
                                </div>
                                <div class="form-row mt-2">
                                    <div class="col-sm-4 font-weight-bold">Books Published  :</div>
                                    <div class="col-sm-1"><?php echo strtoupper($app["books"]); ?></div>
                                    <div class="col-sm-5 font-weight-bold">Chapter Contibuted in Edited Books : </div>
                                    <div class="col-sm-2"><?php echo strtoupper($app["chapters"]); ?></div>
                                </div>
                                <div class="form-row mt-2">
                                    <div class="col-sm-4 font-weight-bold">Workshops/ Refresher/ FDP Attended  :</div>
                                    <div class="col-sm-1"><?php echo strtoupper($app["workshop"]); ?></div>
                                    <div class="col-sm-5 font-weight-bold">Conference/ Seminar Attended  : </div>
                                    <div class="col-sm-2"><?php echo strtoupper($app["conference"]); ?></div>
                                </div>
                                <div class="form-row mt-2">
                                    <div class="col-sm-5 font-weight-bold">Others (Awards, Achievements etc.)  :</div>
                                    <div class="col-sm-7"><?php echo strtoupper($app["extra"]); ?></div>
                                </div>
                                <hr class="mt-3">
                                <div class="form-row font-weight-bold">
                                    <h2 class="card__title font-weight-bold">WORK EXPERIENCE & REFERENCES</h2>                     
                                </div>
                                <hr>
                                <div class="form-row">
                                    <div class="col-sm-3 font-weight-bold">Industry :</div>
                                    <div class="col-sm-3"><?php echo strtoupper($app["industry"]); ?></div>
                                    <div class="col-sm-3 font-weight-bold">Academic : </div>
                                    <div class="col-sm-3"><?php echo strtoupper($app["academic"]); ?></div>
                                </div>
                                <div class="form-row font-weight-bold mt-4 ">
                                    <h4 class="card__title font-weight-bold">EMPLOYER INFORMATION (starting with recent)</h4>                     
                                </div>
                                <div class="form-row font-weight-bold mt-3">
                                    <h4 class="card__title font-weight-bold">PRESENT : </h4>                     
                                </div>
                                <div class="form-row mt-3">
                                    <div class="col-sm-3 font-weight-bold">Name Of Employer :</div>
                                    <div class="col-sm-3"><?php echo strtoupper($app["employer1"]); ?></div>
                                    <div class="col-sm-3 font-weight-bold">Location : </div>
                                    <div class="col-sm-3"><?php echo strtoupper($app["location1"]); ?></div>
                                </div>
                                <div class="form-row">
                                    <div class="col-sm-3 font-weight-bold">Your Designation :</div>
                                    <div class="col-sm-3"><?php echo strtoupper($app["desig1"]); ?></div>
                                    <div class="col-sm-3 font-weight-bold">Duration & Dates : </div>
                                    <div class="col-sm-3"><?php echo strtoupper($app["duration1"]); ?></div>
                                </div>
                                <div class="form-row font-weight-bold mt-3">
                                    <h4 class="card__title font-weight-bold">PREVIOUS : </h4>                     
                                </div>
                                <div class="form-row mt-3">
                                    <div class="col-sm-3 font-weight-bold">Name Of Employer :</div>
                                    <div class="col-sm-3"><?php echo strtoupper($app["employer2"]); ?></div>
                                    <div class="col-sm-3 font-weight-bold">Location : </div>
                                    <div class="col-sm-3"><?php echo strtoupper($app["location2"]); ?></div>
                                </div>
                                <div class="form-row">
                                    <div class="col-sm-3 font-weight-bold">Your Designation :</div>
                                    <div class="col-sm-3"><?php echo strtoupper($app["desig2"]); ?></div>
                                    <div class="col-sm-3 font-weight-bold">Duration & Dates : </div>
                                    <div class="col-sm-3"><?php echo strtoupper($app["duration2"]); ?></div>
                                </div>
                                <div class="form-row font-weight-bold mt-5">
                                    <h4 class="card__title font-weight-bold">REFERENCES : </h4>                     
                                </div>
                                <div class="form-row mt-3">
                                    <ul>
                                        <li><?php echo strtoupper($app["ref1"]); ?></li>
                                        <li><?php echo strtoupper($app["ref2"]); ?></li>
                                    </ul>
                                </div>
                                <hr class="mt-5">
                                <div class="form-row">
                                    <div class="col-sm-3 font-weight-bold">Date : </div>
                                    <div class="col-sm-3"><?php echo $app["regdt"]; ?></div>
                                    <div class="col-sm-3 font-weight-bold">Signature : </div>
                                    <div class="col-sm-3"><img src="<?php echo base_url($app["sign"]); ?>" width="100"></div>
                                </div>
                                <hr>

                            </div>
                        </div>
                        <div class="form-row mt-3 ">
                            <div class="col-sm-12 text-center">
                                <a target="_blank" class="" href="<?php echo base_url($app["docs"]); ?>">Click To View Educational Certificates.</a>
                            </div>
                        </div>
<!--                        <div class="form-row mt-3 ">
                            <div class="text-center col-sm-12">
                                <button class="btn btn-primary" id="print">PRINT</button>
                            </div>
                        </div>-->
                    </div>
                </section>
            </div>
            <!-- //content -->
        </div>           
    </div>
    <!-- main content end-->
    <?php
    $this->load->view("user/footer");
    ?>


    <script>
//        $(document).ready(function () {
//            $("#print").on("click", function () {
//                var printContents = document.getElementById("appPrint").innerHTML;
//                var originalContents = document.body.innerHTML;
//                document.body.innerHTML = printContents;
//                window.print();
//                document.body.innerHTML = originalContents;
//
//            });
//        });

        $(document).ready(function () {
            document.getElementById("dashboard").classList.remove("active");
            document.getElementById("apply").classList.remove("active");
            document.getElementById("report").classList.add("active");
        });
    </script>

