<?php

/**
 * Description of Instruction
 *
 * @author Softpro India Pvt. Ltd
 */
class Instruction extends CI_Controller {

    //put your code here 
    public function __construct() {
        parent::__construct();
    }

    public function uploadInstructions() {
        if ($this->sessionvalidator->validateSession()) {
            $this->load->view('admin/uploadInstructions');
        } else {
            redirect("admin/");
        }
    }

    public function saveInstructionsFile() {
        if ($this->sessionvalidator->validateSession()) {
            if (empty($_FILES['insFile']['name'])) {
                $this->form_validation->set_rules('insFile', 'Instruction', 'required', array("required" => "Select Instruction PDF To Upload."));
                $this->form_validation->run();
                $this->uploadInstructions();
            } else {
                $fileConfig["upload_path"] = "./assets/uploads/";
                $fileConfig["allowed_types"] = "pdf";
                $fileConfig["max_size"] = "1024";
                $fileConfig["file_ext_tolower"] = TRUE;
                $fileConfig['overwrite'] = TRUE;
                $fileConfig['file_name'] =  "instructions";

                $this->load->library("upload", $fileConfig); //library to upload data
                $instructionFile=null;
                if (!$this->upload->do_upload("insFile")) {
                    $this->session->set_flashdata("errorMessage", $this->upload->display_errors());
                    $this->uploadInstructions();
                } else {
                    $instructionFile = $this->upload->data()["file_name"];
                    $this->session->set_flashdata("successMessage", "File Uploaded Successfully.");
                    redirect("admin/Instruction/uploadInstructions");
                }
            }
        } else {
            redirect("admin/");
        }
    }

}
