<?php

/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

/**
 * Description of PaymentManagement
 *
 * @author Softpro India Pvt. Ltd
 */
class PaymentManagement extends CI_Model {

    //put your code here
    function getCompleteAdmissionFormsWithpaymentDetails($status='',$tspi_id = '', $session = '', $email = '', $mobile = '', $dob = '', $course = '') {
        $this->db->select("*");
        $this->db->from("tbl_student_personal_info tspi");
        $this->db->join("tbl_univ_course_session_mapping univ", "univ.ucs_map_id = tspi.ucs_map_id");
        $this->db->join("tbl_course_sub_master sc", "sc.tcsm_id = univ.sub_course_id");
        $this->db->join("tbl_course_master c", "sc.course_id=c.course_id");
        $this->db->join("tbl_session_master sess", "sess.session_id=univ.session_id");
        $this->db->join("transaction_mst ad", "ad.regno=tspi.tspi_id");
        if ($status != '') {
            $this->db->where("ad.status", $status);
        }
        if ($tspi_id != '') {
            $this->db->where("tspi.tspi_id", $tspi_id);
        }
        if ($session != '') {
            $this->db->where("sess.session_id", $session);
        }
        if ($email != '') {
            $this->db->where("tspi.tspi_email", $email);
        }
        if ($mobile != '') {
            $this->db->where("tspi.tspi_mobile", $mobile);
        }
        if ($dob != '') {
            $this->db->where("tspi.tspi_dob", $dob);
        }
        if ($course != '') {
            $this->db->where("c.course_id", $course);
        }
        return $this->db->get();
    }

    function updatePaymentDetails($tspi_id,$transaction_array){
        $this->db->where("regno",$tspi_id);
        return $this->db->update("transaction_mst",$transaction_array);        
    }
    
     function insertPaymentDetails(array $paymentDetails) {
        $this->db->insert('payment_details', $paymentDetails);
        return $this->db->insert_id();
    }

   function insertPaymentResponse(array $paymentResponse) {
        $this->db->insert('payment_response', $paymentResponse);
        return $this->db->insert_id();
    }
    
    
}
