<!doctype html>
<html lang="en">
    <head>
        <!-- Required meta tags -->
        <meta http-equiv="content-type" content="text/html;charset=UTF-8" />
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <title>Validate Counselling Details  :: <?php if (sizeof($branch)) echo $branch[0]->branch_short_name; ?> | Admission Portal</title>
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/style-liberty.css"); ?>">
        <link rel="image icon" href="<?php echo base_url("assets/images/logo.png"); ?>">      
        <link href="<?php echo base_url("assets/css/jquery-ui.css"); ?>" rel='stylesheet' type='text/css' />
        <link href="https://fonts.googleapis.com/css?family=Nunito:300,400,600,700,800,900&amp;display=swap" rel="stylesheet">
        <script src="<?php echo base_url("assets/admin/js/jquery-1.10.2.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/bootstrap.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/utils.js"); ?>"></script>
        <script src="<?php echo base_url("assets/js/jquery-ui.js") ?>"></script>  
        <script>
            var csrfHash = '';
        function getData()
        {
            var d = new Date();
            var n = d.getTime();
            var orderID = n +  '' +randomFromTo(0,1000);
            
            document.getElementById("orderId").value = orderID;
            return true;
        }

        function randomFromTo(from, to){
            return Math.floor(Math.random() * (to - from + 1) + from);
        }

        </script>
    </head>
    <body class="sidebar-menu-collapsed"  onload="getData();">
        <div class="se-pre-con"></div>
        <section>
            <div class="main-content">
                <div class="text-center ">
                    <a href="<?php echo site_url("Home"); ?>"><img src="<?php echo base_url("assets/images/logo.png"); ?>" alt="" width="100" class="img-responsive mt-3"></a>
                    <h1> <a href="<?php echo site_url("Home"); ?>"><?php (sizeof($branch)) ? $branch[0]->branch_short_name : ""; ?></a></h1>      
                </div>
                <div class="container-fluid ">
                    <nav aria-label="breadcrumb">
                        <ol class="breadcrumb my-breadcrumb">
                            <li class="breadcrumb-item"><a href="<?php echo site_url("Home"); ?>">Home</a></li>
                        </ol>
                    </nav>
                    <section class="forms">
                        <div class="card card_border py-2 mb-4">
                            <div class="card-body">
                                <?php if (validation_errors() != false) { ?>
                                    <div class="alert alert-danger"> <strong><?php echo validation_errors(); ?></strong> </div>
                                <?php } ?>
                                <?php if ($this->session->flashdata('successMessage')) { ?>
                                    <div class="alert alert-success"> <strong><?php echo $this->session->flashdata('successMessage'); ?> </strong> </div>
                                <?php } ?>
                                <?php if ($this->session->flashdata('errorMessage')) { ?>
                                    <div class="alert alert-danger"> <strong><?php echo $this->session->flashdata('errorMessage'); ?></strong> </div>
                                <?php } ?>
                                
                                <?php echo form_open_multipart(site_url('user/paytrn/processPayment')); ?>
                                

                                <div class="text-center mb-0">
                                    <h2 class="" style="text-align:center">Online Payment</h2>
                                </div>
                                
                                <div class="form-row mt-3">   
                                    <input class="form-control" type="input" name="counsellingReferenceNumber" value="<?php echo set_value("counsellingReferenceNumber");?>" id="counsellingReferenceNumber" placeholder="Enter Counselling Reference Number/Form Id." autocomplete="off" >
                                </div>

                                <div class="form-row mt-3"> 
                                   <input class="form-control" type="input" name="orderId" value="" id="orderId" placeholder="Order Reference No" autocomplete="off" readonly >
                                </div>

                                <button id="submitBtn" type="submit" class="btn btn-primary btn-block btn-style mt-4"><i class="fa fa-check"></i>&nbsp;View</button>

                                <?php echo form_close(); ?>
                            </div>
                        </div>
                    </section>
                </div>
            </div>
        </section>
        <?php $this->load->view("admin/footer"); ?>
    </body>
</html>