<?php
/**
 * Description of User
 *
 * @author Softpro India Pvt. Ltd.
 */
class Dashboard extends CI_Controller {

    //put your code here
    public function __construct() {
        parent::__construct();
        $this->load->model("admin/reports/DashboardReport");
    }

    public function index() {
        if ($this->sessionvalidator->validateSession()) {
            
            $studentCountPerCourse=$this->DashboardReport->getStudentCountReportInJSON();
            $alumniCountPerCourse=$this->DashboardReport->getAlumniCountReportInJSON();
            $totalAlumni=$this->DashboardReport->getTotalAlumniResgistered()[0]->totalAlumni;
            $totalStudent=$this->DashboardReport->getTotalStudentResgistered()[0]->totalStudent;
            $viewData["studentCountPerCourse"]=$studentCountPerCourse;
            $viewData["alumniCountPerCourse"]=$alumniCountPerCourse;
            $viewData["totalAlumni"]=$totalAlumni;
            $viewData["totalStudent"]=$totalStudent;  
            
            $viewData["adminSessionData"]=$this->session->userdata("alumni_admin_data");

            $this->load->view("admin/dashboard",$viewData);
            
        } else {            
            redirect("admin/");
        }        
    }

}
