<?php

/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

/**
 * Description of User
 *
 * @author s
 */
class Post extends CI_Controller {

    //put your code here
    public function __construct() {
        parent::__construct();
        $this->load->model("admin/reports/GeneralReports");
        $this->load->model("admin/PostManagement");
    }

    public function index() {
        if ($this->sessionvalidator->validateSession()) {
            $viewData["posts"] = $this->GeneralReports->getPosts()->result();
            $this->load->view("admin/posts", $viewData);
        } else {
            redirect("admin/");
        }
    }

    public function togglePostStatus($pst_id, $chnagedStatus) {
        if ($this->sessionvalidator->validateSession()) {

            $postUpdateData = array(
                'pst_id' => $pst_id,
                'pst_publish_status' => $chnagedStatus
            );
            if ($this->PostManagement->updatePost($postUpdateData)) {
                $this->session->set_flashdata('successMessage', 'Post Status Updated Successfully.');
                redirect("admin/Post");
            } else {
                $this->session->set_flashdata('errorMessage', 'Failed To Update Post Status.');
                redirect("admin/Post");
            }
        } else {
            redirect("admin/");
        }
    }

}
