<!DOCTYPE HTML>
<html>
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <title>View Alloted Subject & Students To Teacher | College Automation System | <?php echo $this->session->userdata("adminData")["branch_short_name"]; ?></title>
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/style.css"); ?>">
        <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Nunito:300,400,600,700,800,900&amp;display=swap">
        <link rel="image icon" href="<?php echo base_url("assets/admin/images/logo.png"); ?>">
        <script src="<?php echo base_url("assets/admin/js/jquery-1.10.2.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/bootstrap.min.js"); ?>"></script>
        <script>
            var csrfHash = '';
        </script>
    </head>
    <body class="cbp-spmenu-push">
        <div class="se-pre-con"></div>
        <section>
            <?php $this->load->view("admin/navAndHeader"); ?>
            <div class="main-content">
                <div class="container-fluid content-top-gap">
                    <nav aria-label="breadcrumb">
                        <ol class="breadcrumb my-breadcrumb">
                            <li class="breadcrumb-item"><a href="<?php echo site_url("admin/Dashboard"); ?>">Home</a></li>
                            <li class="breadcrumb-item active">Academics</li>
                            <li class="breadcrumb-item" aria-current="page"><a href="<?php echo site_url("admin/Subject/teacherStudentAllotment/"); ?>">Student(s)-Subject(s)-Teacher Allotments</a></li>
                            <li class="breadcrumb-item" aria-current="page"><a href="<?php echo site_url("admin/Subject/viewTeachersExistingAllotmentDetails/"); ?>">Existing Allotments</a></li>
                        </ol>
                    </nav>
                    <section class="forms">
                        <div class="card card_border p-4">
                            <h3 class="card__title"><i class="fa fa-book"></i> View Student(s)-Subject(s)-Teacher Existing Alloment</h3><br>
                            <div class="">
                                <?php if ($this->session->flashdata('successMessage')) { ?>
                                    <div class="alert alert-success alert-dismissible fade show"> 
                                        <strong><?php echo $this->session->flashdata('successMessage'); ?></strong> 
                                        <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                                            <span aria-hidden="true">&times;</span>
                                        </button>
                                    </div>
                                <?php } ?>
                                <?php if ($this->session->flashdata('errorMessage')) { ?>
                                    <div class="alert alert-danger alert-dismissible fade show"> 
                                        <strong><?php echo $this->session->flashdata('errorMessage'); ?></strong> 
                                        <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                                            <span aria-hidden="true">&times;</span>
                                        </button>
                                    </div>
                                <?php } ?>
                                <fieldset>
                                    <legend>Filters <i class="fa fa-filter"></i></legend>
                                    <?php echo form_open(site_url('admin/Subject/viewTeachersExistingAllotmentDetails'), ['name' => 'allottedSubjectssFilterFrm', 'id' => 'allottedSubjectssFilterFrm']); ?>
                                    <legend>Course & Subject Info</legend>
                                    <div class="form-row">
                                        <div class="form-group col-md-3">
                                            <label for="dept" class="input__label">Department </label>
                                            <select id="dept" name="dept" class="custom-select">
                                                <option value="">Select Department</option>
                                                <?php foreach ($departments as $department) { ?>
                                                    <option value="<?php echo $department->dept_id; ?>" <?php echo set_select("dept", $department->dept_id); ?>><?php echo stripslashes($department->dept_name); ?></option>
                                                <?php }
                                                ?>
                                            </select>
                                        </div>
                                        <div class="form-group col-md-3">
                                            <label for="subDept" class="input__label">Sub-Department </label>
                                            <select id="subDept" name="subDept" class="custom-select">
                                                <option value="">Select Sub-Department</option>
                                            </select>
                                        </div>
                                        <div class="form-group col-md-3">
                                            <label for="desig_type" class="input__label">Designation Type </label>
                                            <select id="desig_type" name="desig_type" class="custom-select">
                                                <option value="">Select Designation Type</option>
                                                <?php foreach ($designation_types as $designation_type) { ?>
                                                    <option value="<?php echo $designation_type->dcm_id; ?>" <?php echo set_select("desig_type", $designation_type->dcm_id); ?>><?php echo stripslashes($designation_type->dcm_name); ?></option>
                                                <?php }
                                                ?>
                                            </select>
                                        </div>
                                        <div class="form-group col-md-3">
                                            <label for="emp" class="input__label">Employee </label>
                                            <select id="emp" name="emp" class="custom-select">
                                                <option value="">Select Employee</option>
                                            </select>
                                        </div>
                                        <div class="form-group col-md-3">
                                            <label for="session" class="input__label">Session </label>
                                            <select id="session" name="session" class="custom-select">
                                                <option value="">Select Session</option>
                                                <?php foreach ($sessions as $session) { ?>
                                                    <option <?php if ($session->session_status == "C") echo "selected"; ?> value="<?php echo $session->session_id; ?>" <?php echo set_select("session", $session->session_id); ?>><?php echo stripslashes($session->session_name); ?></option>
                                                <?php }
                                                ?>
                                            </select>
                                        </div>
                                        <div class="form-group col-md-3">
                                            <label for="subjectCourse" class="input__label">Course </label>
                                            <select id="subjectCourse" name="subjectCourse" class="custom-select">
                                                <option value="">Select Course</option>
                                                <?php foreach ($courses as $course) { ?>
                                                    <option value="<?php echo $course->course_id; ?>" <?php echo set_select("subjectCourse", $course->course_id); ?>><?php echo stripslashes($course->course_name); ?></option>
                                                    <?php
                                                }
                                                ?>
                                            </select>
                                        </div>
                                        <div class="form-group col-md-3">
                                            <label for="subjectCourseSemOrYear" class="input__label">Semester/Year </label>
                                            <select id="subjectCourseSemOrYear" name="subjectCourseSemOrYear" class="custom-select">
                                                <option value="">Select Semester/Year</option>
                                            </select>
                                        </div>
                                        <div class="form-group col-md-3">
                                            <label for="subject" class="input__label">Subject*</label>
                                            <select id="subject" name="subject" class="custom-select">
                                                <option value="">Select Subject</option>
                                            </select>
                                        </div>
                                    </div>
                                    <div class="form-row">
                                        <div class="col-md-12">
                                            <label for="filterSubmitBtn" class="input__label"></label>
                                            <button id="filterSubmitBtn" name="filterSubmitBtn" type="submit" class="btn btn-sm btn-warning pull-right">Apply Filter & Fetch Student-Subject Allotment List&nbsp;<i class="fa fa-filter"></i><i class="fa fa-arrow-right"></i></button>
                                        </div>
                                    </div>
                                    <?php echo form_close(); ?>
                                    <span id="spnErr1" style="color:#FF0000;font-size:15px;font-weight: bolder;"></span>
                                </fieldset>
                                <hr>

                                <?php if (sizeof($allotmentData)) { ?>
                                    <fieldset id="facultySubjectAllotmentDetails">
                                        <legend>Student(s) List</legend>
                                        <div class="form-row">
                                            <table style="width:100%" class="table table-success">
                                                <tr>
                                                    <th>Sr. No</th>
                                                    <th>Teacher/Employee Name</th>
                                                    <th>Allotment-ID</th>
                                                    <th>Course</th>
                                                    <th>Subject</th>
                                                    <th>Semester</th>
                                                    <th>Session</th>
                                                    <th>View</th>
                                                    <th>Action</th>
                                                </tr>
                                                <tbody id="facultyDeatils">
                                                    <?php
                                                    for ($i = 0; $i < sizeof($allotmentData); $i++) {
                                                        $record = $allotmentData[$i];
                                                        ?>
                                                        <tr>
                                                            <th><?php echo ($i + 1); ?></th>
                                                            <td><?php echo stripslashes($record->tprfl_firstname) . " " . stripslashes($record->tprfl_lastname); ?></td>
                                                            <td><?php echo stripslashes($record->sta_id); ?></td>
                                                            <td><?php echo stripslashes($record->course_name); ?></td>
                                                            <td><?php echo stripslashes($record->sm_code) . "-" . stripslashes($record->sm_name); ?></td>
                                                            <td><?php echo $record->sm_semester; ?></td>
                                                            <td><?php echo $record->session_id; ?></td>
                                                            <td><button  onClick="allotStudentsTo(<?php echo $record->sm_id; ?>,<?php echo $record->session_id; ?>,<?php echo $record->sta_id; ?>);" class="btn btn-sm btn-primary pull-right text-white">Allocate New Student(s)</button></td>
                                                            <td><button  onClick="viewAllotedStudents(<?php echo $record->sta_id; ?>);" class="btn btn-sm btn-primary pull-right text-white">Alloted Student</button></td>
                                                            <td>
                                                                <i class='fa fa-edit' style='color:#002166;cursor: pointer;' title="Edit This Allotment" onClick="editAllotment(<?php echo $record->sta_id; ?>);"  ></i>
        <!--                                                                <i class="fa fa-trash" style="color:#FF0000;cursor: pointer;" title="Delete This Allotment" onClick="deleteAllotment(<?php //echo $record->sta_id;                                   ?>);"></i> -->
                                                            </td>
                                                        </tr>
                                                    <?php } ?>
                                                </tbody>
                                            </table>
                                        </div>
                                    </fieldset>
                                <?php } ?>
                            </div>
                        </div>
                    </section>
                </div>
            </div>
        </section>
        <?php $this->load->view("admin/footer"); ?>
        <!-- Edit Allot Modal Starts -->
        <div class="modal fade" id="editAllotModel" role="dialog" data-backdrop="static" data-keyboard="false">
            <div class="modal-dialog modal-xl" >
                <div class="modal-content">
                    <div class="modal-header">
                        <h4 class="modal-title">Edit Allotment Info</h4>
                        <button type="button" class="close" data-dismiss="modal">&times;</button>
                    </div>
                    <div class="modal-body" style="max-height: calc(100vh - 160px);overflow-y: auto;">
                        <fieldset>
                            <div class="row">
                                <div class="col-sm-1"><b>Name</b></div>
                                <div class="col-sm-3"><span id="tprfl_name"></span></div>                                                              
                                <div class="col-sm-1"><b>Course</b></div>
                                <div class="col-sm-2"><span id="course_nm"></span></div>
                                <div class="col-sm-2"><b>Alloted Subject</b></div>
                                <div class="col-sm-3"><span id="alloted_subject"></span></div>
                            </div>
                            <div class="row">


                            </div>
                        </fieldset>
                        <br>
                        <fieldset>
                            <legend>Update New Teacher To Existing Alloment </legend>
                            <?php echo form_open(site_url('admin/Subject/updateSubjectFacultyAllotment'), ['name' => 'allotmentEditFrm', 'id' => 'allotmentEditFrm']); ?>
                            <div class="form-row">
                                <div class="form-group col-md-3">
                                    <label for="dept_mod" class="input__label">Department *</label>
                                    <select id="dept_mod" name="dept_mod" class="custom-select">
                                        <option value="">Select Department</option>
                                        <?php foreach ($departments as $department) { ?>
                                            <option value="<?php echo $department->dept_id; ?>" <?php echo set_select("dept_mod", $department->dept_id); ?>><?php echo stripslashes($department->dept_name); ?></option>
                                        <?php }
                                        ?>
                                    </select>
                                </div>
                                <div class="form-group col-md-3">
                                    <label for="subDept_mod" class="input__label">Sub-Department *</label>
                                    <select id="subDept_mod" name="subDept_mod" class="custom-select">
                                        <option value="">Select Sub-Department</option>
                                    </select>
                                </div>
                                <div class="form-group col-md-3">
                                    <label for="desig_type_mod" class="input__label">Designation Type *</label>
                                    <select id="desig_type_mod" name="desig_type_mod" class="custom-select">
                                        <option value="">Select Designation Type</option>
                                        <?php foreach ($designation_types as $designation_type) { ?>
                                            <option value="<?php echo $designation_type->dcm_id; ?>" <?php echo set_select("desig_type_mod", $designation_type->dcm_id); ?>><?php echo stripslashes($designation_type->dcm_name); ?></option>
                                        <?php }
                                        ?>
                                    </select>
                                </div>
                                <div class="form-group col-md-3">
                                    <label for="emp_mod" class="input__label">Employee *</label>
                                    <select id="emp_mod" name="emp_mod" class="custom-select">
                                        <option value="">Select Employee</option>
                                    </select>
                                </div>
                            </div>
                            <br>
                            <div class="row">
                                <div class="col-sm-12">
                                    <span id="spnErrMod" style="color:#FF0000;font-size:15px;font-weight: bolder;"></span>
                                    <input type="hidden" name="sta_id" id="sta_id">
                                    <input type="hidden" name="last_smember_id" id="last_smember_id">
                                    <input type="hidden" name="last_session" id="last_session">
                                    <button type="button" id="updateAllotmentBtn" class="btn btn-block btn-primary btn-sm">Save Changes</button>
                                </div>
                            </div>
                            <?php echo form_close(); ?>
                        </fieldset>
                    </div>    
                    <div class="modal-footer">
                        <button class="btn btn-danger" data-dismiss="modal">Close</button>
                    </div>
                </div>
            </div>
        </div>
        <!-- Edit Allot Modal Ends -->


        <!--            Allotment Model : Add MOr Student-->
        <div class="modal fade" id="allotMoreStudentModal" role="dialog" data-backdrop="static" data-keyboard="false">
            <div class="modal-dialog modal-lg">
                <div class="modal-content">
                    <div class="modal-header">
                        <h4 class="modal-title">Allocate New Student(s) To Existing Teacher-Subject Allotment</h4>
                        <button type="button" class="close" data-dismiss="modal">&times;</button>
                    </div>
                    <div class="modal-body" style="max-height: calc(100vh - 160px);overflow-y: auto;">
                        <?php echo form_open(site_url("admin/Subject/saveNewStudentsToExistingSubjectTeacherAllotment"), ["id" => "newStudntAllotmentFrm", "name" => "newStudntAllotmentFrm"]); ?>
                        <fieldset id="unallocatedStudentList" style="display: none;">
                            <legend>Student(s) List</legend>
                            <div class="form-row">
                                <table style="width:100%" class="table table-warning">
                                    <tr>
                                        <th>Sr. No</th>
                                        <th>Roll No.</th>
                                        <th>Name</th>
                                        <th><input type="checkbox" id="selectAll" name="selectAll" value="A">&nbsp;Select</th>
                                    </tr>
                                    <tbody id="stuList"></tbody>
                                </table>
                            </div>
                        </fieldset>
                        <input type="hidden" id="staid" name="staid">
                        <span id="spnErr" style="color:#FF0000;font-size:15px;font-weight: bolder;"></span>
                        <button id="newAllotBtn" disabled="disabled" type="button" class="btn btn-primary btn-block btn-style mt-4" disabled="disabled">Allot</button>
                        <?php echo form_close(); ?>
                    </div>    
                    <div class="modal-footer">
                        <button class="btn btn-danger" data-dismiss="modal">Close</button>
                    </div>
                </div>
            </div>
        </div>
        <!--  Allotment Model : Add MOr Student -->
        <!-- Enrolled Students Model-->
        <div class="modal fade" id="allotedStudentsListModal" role="dialog" data-backdrop="static" data-keyboard="false">
            <div class="modal-dialog modal-lg">
                <div class="modal-content">
                    <div class="modal-header">
                        <h4 class="modal-title">Alloted Student(s) List</h4>
                        <button type="button" class="close" data-dismiss="modal">&times;</button>
                    </div>
                    <div class="modal-body" style="max-height: calc(100vh - 160px);overflow-y: auto;">
                        <fieldset id="studentList" style="display: none;">
                            <!--                            <legend>Student(s) List</legend>-->
                            <div class="form-row">
                                <table style="width:100%" class="table table-warning">
                                    <tr>
                                        <th>Sr. No</th>
                                        <th>Roll No.</th>
                                        <th>Name</th>
                                        <th>Session</th>
                                        <th>Type</th>
                                    </tr>
                                    <tbody id="studentDetails"></tbody>
                                </table>
                            </div>
                        </fieldset>
                    </div>    
                    <div class="modal-footer">
                        <button class="btn btn-danger" data-dismiss="modal">Close</button>
                    </div>
                </div>
            </div>
        </div>
        <script>
            $("#subjectCourse").on("change", function () {
                $(".se-pre-con").fadeIn("slow");
                if (csrfHash === '') {
                    csrfHash = '<?php echo $this->security->get_csrf_hash(); ?>';
                }
                $("#studentDetails").html("");
                $("#studentList").css("display", "none");
                $("#allotBtn").prop("disabled", "disabled");
                $("#subjectDetails").html("");
                $("#setSubjectInfo").css("display", "none");
                if ($(this).val().trim() !== "") {
                    $.ajax({
                        url: '<?php echo site_url('admin/Course/getCourseSemesterOrYearForDropDown/'); ?>',
                        data: {course_id: $("#subjectCourse").val(), csrf_token: csrfHash},
                        type: 'POST',
                        success: function (result) {
                            var semesterOrYearInfo = JSON.parse(result);
                            $(".se-pre-con").fadeOut("slow");
                            $("#subjectCourseSemOrYear").html(semesterOrYearInfo.sem_year_list);
                            csrfHash = semesterOrYearInfo.csrfHash;
                            allottedSubjectssFilterFrm.csrf_token.value = csrfHash;
                            newStudntAllotmentFrm.csrf_token.value = csrfHash;
                        }
                    });
                    $.ajax({
                        url: '<?php echo site_url('admin/Subject/getSubjectsForDropDown/'); ?>',
                        data: {course_id: $("#subjectCourse").val(), subject: '', csrf_token: csrfHash},
                        type: 'POST',
                        success: function (result) {
                            var subInfo = JSON.parse(result);
                            $(".se-pre-con").fadeOut("slow");
                            $("#subject").html(subInfo.subject_list);
                            csrfHash = subInfo.csrfHash;
                            allottedSubjectssFilterFrm.csrf_token.value = csrfHash;
                            newStudntAllotmentFrm.csrf_token.value = csrfHash;
                        }
                    });
                } else {
                    $(".se-pre-con").fadeOut("slow");
                    $("#subjectCourseSemOrYear").html("<option value=''>Select Semester/Year</option>");
                    $("#subjectSet").html("<option value=''>Select Subject Set</option>");
                    $("#studentDetails").html("");
                }
            });

            $("#dept").on("change", function () {
                $(".se-pre-con").fadeIn("slow");
                if (csrfHash === '') {
                    csrfHash = '<?php echo $this->security->get_csrf_hash(); ?>';
                }
                if ($(this).val().trim() !== "") {
                    $.ajax({
                        url: '<?php echo site_url('admin/SubDepartment/getNonDeletedActiveSubDepartmentsForDropDown/') ?>',
                        data: {dept_id: $(this).val(), csrf_token: csrfHash},
                        type: 'POST',
                        success: function (result) {
                            var subDeptInfo = JSON.parse(result);
                            $(".se-pre-con").fadeOut("slow");
                            $("#subDept").html(subDeptInfo.sub_dept_list);
                            csrfHash = subDeptInfo.csrfHash;
                            allottedSubjectssFilterFrm.csrf_token.value = csrfHash;
                            newStudntAllotmentFrm.csrf_token.value = csrfHash;
                        }
                    });
                } else {
                    $("#subDept").html("<option value=''>All</option>");
                    $(".se-pre-con").fadeOut("slow");
                }
            });

            $("#desig_type").on("change", function () {
                $(".se-pre-con").fadeIn("slow");
                if (csrfHash === '') {
                    csrfHash = '<?php echo $this->security->get_csrf_hash(); ?>';
                }
                if ($("#subDept").val().trim() !== "") {
                    if ($(this).val().trim() !== "") {
                        $.ajax({
                            url: '<?php echo site_url('admin/Staff/getAllEmployeesBySubDepartmentAndDesignatinCategoryForDropDown/') ?>',
                            data: {sub_dept_id: $("#subDept").val(), dcm_id: $(this).val(), csrf_token: csrfHash},
                            type: 'POST',
                            success: function (result) {
                                var employeeInfo = JSON.parse(result);
                                $(".se-pre-con").fadeOut("slow");
                                $("#emp").html(employeeInfo.emp_list);
                                csrfHash = employeeInfo.csrfHash;
                                allottedSubjectssFilterFrm.csrf_token.value = csrfHash;
                                newStudntAllotmentFrm.csrf_token.value = csrfHash;
                            }
                        });
                    } else {
                        $("#emp").html("<option>All</option>");
                        $(".se-pre-con").fadeOut("slow");
                    }
                } else {
                    $("#spnErr1").html("Please Select Department & Sub-Department In Order To Fetch Employees.");
                    $("#dept").focus();
                    $(".se-pre-con").fadeOut("slow");
                }
            });

            $("#dept_mod").on("change", function () {
                $(".se-pre-con").fadeIn("slow");
                if (csrfHash === '') {
                    csrfHash = '<?php echo $this->security->get_csrf_hash(); ?>';
                }
                if ($(this).val().trim() !== "") {
                    $.ajax({
                        url: '<?php echo site_url('admin/SubDepartment/getNonDeletedActiveSubDepartmentsForDropDown/') ?>',
                        data: {dept_id: $(this).val(), csrf_token: csrfHash},
                        type: 'POST',
                        success: function (result) {
                            var subDeptInfo = JSON.parse(result);
                            $(".se-pre-con").fadeOut("slow");
                            $("#subDept_mod").html(subDeptInfo.sub_dept_list);
                            csrfHash = subDeptInfo.csrfHash;
                            allottedSubjectssFilterFrm.csrf_token.value = csrfHash;
                            newStudntAllotmentFrm.csrf_token.value = csrfHash;
                        }
                    });
                } else {
                    $("#subDept_mod").html("<option value=''>All</option>");
                    $(".se-pre-con").fadeOut("slow");
                }
            });

            $("#desig_type_mod").on("change", function () {
                $(".se-pre-con").fadeIn("slow");
                if (csrfHash === '') {
                    csrfHash = '<?php echo $this->security->get_csrf_hash(); ?>';
                }
                if ($("#subDept_mod").val().trim() !== "") {
                    if ($(this).val().trim() !== "") {
                        $.ajax({
                            url: '<?php echo site_url('admin/Staff/getAllEmployeesBySubDepartmentAndDesignatinCategoryForDropDown/') ?>',
                            data: {sub_dept_id: $("#subDept_mod").val(), dcm_id: $(this).val(), csrf_token: csrfHash},
                            type: 'POST',
                            success: function (result) {
                                var employeeInfo = JSON.parse(result);
                                $(".se-pre-con").fadeOut("slow");
                                $("#emp_mod").html(employeeInfo.emp_list);
                                csrfHash = employeeInfo.csrfHash;
                                allottedSubjectssFilterFrm.csrf_token.value = csrfHash;
                                newStudntAllotmentFrm.csrf_token.value = csrfHash;
                            }
                        });
                    } else {
                        $("#emp_mod").html("<option>All</option>");
                        $(".se-pre-con").fadeOut("slow");
                    }
                } else {
                    alert("Please Select Department & Sub-Department In Order To Fetch Employees.");
                    $("#dept").focus();
                    $(".se-pre-con").fadeOut("slow");
                }

            });

            $("#subjectModCourse").on("change", function () {
                $(".se-pre-con").fadeIn("slow");
                if (csrfHash === '') {
                    csrfHash = '<?php echo $this->security->get_csrf_hash(); ?>';
                }
                if ($(this).val().trim() !== "") {
                    $.ajax({
                        url: '<?php echo site_url('admin/Subject/getSubjectsForDropDown/'); ?>',
                        data: {course_id: $("#subjectModCourse").val(), subject: '', csrf_token: csrfHash},
                        type: 'POST',
                        success: function (result) {
                            var subInfo = JSON.parse(result);
                            $(".se-pre-con").fadeOut("slow");
                            $("#subjectMod").html(subInfo.subject_list);
                            csrfHash = subInfo.csrfHash;
                            allottedSubjectssFilterFrm.csrf_token.value = csrfHash;
                            allotmentEditFrm.csrf_token.value = csrfHash;
                        }
                    });
                } else {
                    $(".se-pre-con").fadeOut("slow");
                    $("#subjectMod").html("<option value=''>Select Subject</option>");
                }
            });

            $("#updateAllotmentBtn").on("click", function () {
                if ($("#emp_mod").val().trim() === "") {
                    $("#spnErrMod").html("Please Select Employee To Allot.");
                    $("#dept_mod").focus();
                } else {
                    $("#spnErrMod").html("");
                    $("#allotmentEditFrm").submit();
                }
            });

            function editAllotment(sta_id) {
                $(".se-pre-con").fadeIn("slow");
                $.ajax({
                    url: '<?php echo site_url('admin/Subject/getSubjectTeacherAllotmentFullInfo/'); ?>',
                    data: {sta_id: sta_id, csrf_token: csrfHash},
                    type: 'POST',
                    success: function (result) {
                        var allotmentInfo = JSON.parse(result);
                        $(".se-pre-con").fadeOut("slow");
                        csrfHash = allotmentInfo.csrfHash;
                        $("#tprfl_name").html(allotmentInfo.tprfl_name);
                        $("#alloted_subject").html(allotmentInfo.alloted_subject);
                        $("#sta_id").val(allotmentInfo.sta_id);
                        $("#last_smember_id").val(allotmentInfo.smember_id);
                        $("#last_session").val(allotmentInfo.session_id);
                        $("#course_nm").html(allotmentInfo.course_name);
                        allottedSubjectssFilterFrm.csrf_token.value = csrfHash;
                        allotmentEditFrm.csrf_token.value = csrfHash;
                        $("#editAllotModel").modal('show');
                    }
                });
            }

            function allotStudentsTo(sm_id, session, sta_id) {
                $(".se-pre-con").fadeIn("slow");
                if (csrfHash === '') {
                    csrfHash = '<?php echo $this->security->get_csrf_hash(); ?>';
                }
                $.ajax({
                    url: '<?php echo site_url('admin/Student/getEnrolledStudentsInSemesterForTeacherSubjectAllotment/'); ?>',
                    data: {
                        sm_id: sm_id,
                        semester: '',
                        course: '',
                        emp: '',
                        session: session,
                        csrf_token: csrfHash
                    },
                    type: 'POST',
                    success: function (result) {
                        var studentsInfo = JSON.parse(result);
                        $(".se-pre-con").fadeOut("slow");
                        studentsList = "";
                        if (studentsInfo.available_students !== 0) {
                            for (var i = 0; i < studentsInfo.student_list.length; i++) {
                                studentsList += "<tr>";
                                studentsList += "<td>" + (i + 1) + "</td>";
                                studentsList += "<td>" + studentsInfo.student_list[i].stu_roll_no + "</td>";
                                studentsList += "<td>" + studentsInfo.student_list[i].stu_name + "</td>";
                                studentsList += "<td><input type='checkbox' name='selectedStudents[]' value='" + studentsInfo.student_list[i].stu_id + "'></td>";
                                studentsList += "</tr>";
                            }
                            $("#stuList").html(studentsList);
                            $("#unallocatedStudentList").css("display", "block");
                            $("#staid").val(sta_id);
                            $("#newAllotBtn").prop("disabled", "");
                        } else {
                            studentsList += "<tr>";
                            studentsList += "<td colspan='7'>" + studentsInfo.message + "</td>";
                            studentsList += "</tr>";
                            $("#stuList").html(studentsList);
                            $("#unallocatedStudentList").css("display", "none");
                            $("#newAllotBtn").prop("disabled", "disabled");
                        }
                        csrfHash = studentsInfo.csrfHash;
                        allottedSubjectssFilterFrm.csrf_token.value = csrfHash;
                        newStudntAllotmentFrm.csrf_token.value = csrfHash;
                        $('#allotMoreStudentModal').modal('show');
                    }
                });
            }

            $("#newAllotBtn").on("click", function () {
                if ($("[name='selectedStudents[]']:checked").length === 0) {
                    $("#spnErr").html("Please Select At Least One Student To Allot Them To Teacher.");
                } else {
                    $("#spnErr").html("");
                    $("#newStudntAllotmentFrm").submit();
                }
            });

            $("#selectAll").click(function () {
                $("input[type=checkbox]").prop('checked', $(this).prop('checked'));
            });

            function viewAllotedStudents(sta_id) {
                $(".se-pre-con").fadeIn("slow");
                $.ajax({
                    url: '<?php echo site_url('admin/Student/getStudentsAllotedToTeacherBy/'); ?>',
                    data: {sta_id: sta_id, csrf_token: csrfHash},
                    type: 'POST',
                    success: function (result) {
                        var studentsInfo = JSON.parse(result);
                        $(".se-pre-con").fadeOut("slow");
                        csrfHash = studentsInfo.csrfHash;
                        studentsList = "";
                        if (studentsInfo.available_students !== 0) {
                            for (var i = 0; i < studentsInfo.student_list.length; i++) {
                                studentsList += "<tr>";
                                studentsList += "<td>" + (i + 1) + "</td>";
                                studentsList += "<td>" + studentsInfo.student_list[i].stu_roll_no + "</td>";
                                studentsList += "<td>" + studentsInfo.student_list[i].stu_name + "</td>";
                                studentsList += "<td>" + studentsInfo.student_list[i].stu_session + "</td>";
                                studentsList += "<td>" + studentsInfo.student_list[i].stu_entry_type + "</td>";
                                studentsList += "<td><button class='btn btn-danger' onclick='deleteStudentTeacherAllotment(" + studentsInfo.student_list[i].stta_id + ")'><i class='fa fa-times'></i></button></td>";
                                studentsList += "</tr>";
                            }
                            $("#studentDetails").html(studentsList);
                            $("#studentList").css("display", "block");
                            $("#allotBtn").prop("disabled", "");
                        } else {
                            studentsList += "<tr>";
                            studentsList += "<td colspan='7'>" + studentsInfo.message + "</td>";
                            studentsList += "</tr>";
                            $("#studentDetails").html(studentsList);
                            $("#studentList").css("display", "none");
                            $("#allotBtn").prop("disabled", "disabled");
                        }
                        allottedSubjectssFilterFrm.csrf_token.value = csrfHash;
                        allotmentEditFrm.csrf_token.value = csrfHash;
                        $('#allotedStudentsListModal').modal('show');
                    }
                });
            }

            function deleteStudentTeacherAllotment(stta_id) {
                if (confirm("Do You Really Want To Delete This Allotment Info?")) {
                    window.location.href = '<?php echo site_url('admin/Subject/deleteStudentTeacherAllotment/'); ?>' + stta_id;
                }
            }

            function deleteAllotment(ssa_id) {
                if (confirm("Do You Really Want To Delete This Allotment Info?")) {
                    window.location.href = '<?php echo site_url('admin/Subject/deleteAllotment/'); ?>' + ssa_id;
                }
            }

            $(document).ready(function () {
                var selectedSemester = '<?php echo $selectedSemester; ?>';
                var selectedSubject = '<?php echo $selectedSubject; ?>';
                var selectedDept = '<?php echo $selectedDept; ?>';
                var selectedCourse = '<?php echo $selectedCourse; ?>';
                var selectedSubDept = '<?php echo $selectedSubDept; ?>';
                var selectedDesigType = '<?php echo $selectedDesigType; ?>';
                var selectedEmp = '<?php echo $selectedEmp; ?>';
                var selectedSession = '<?php echo $selectedSession; ?>';
                $(".se-pre-con").fadeIn("slow");
                if (csrfHash === '') {
                    csrfHash = '<?php echo $this->security->get_csrf_hash(); ?>';
                }
                if ($("#dept").val().trim() !== "") {
                    $.ajax({
                        url: '<?php echo site_url('admin/SubDepartment/getNonDeletedActiveSubDepartmentsForDropDownSelected/') ?>',
                        data: {dept_id: $("#dept").val(), sub_dept_id: selectedSubDept, csrf_token: csrfHash},
                        type: 'POST',
                        success: function (result) {
                            var subDeptInfo = JSON.parse(result);
                            $(".se-pre-con").fadeOut("slow");
                            $("#subDept").html(subDeptInfo.sub_dept_list);
                            csrfHash = subDeptInfo.csrfHash;
                            allottedSubjectssFilterFrm.csrf_token.value = csrfHash;
                            newStudntAllotmentFrm.csrf_token.value = csrfHash;
                        }
                    });
                } else {
                    $("#subDept").html("<option value=''>All</option>");
                    $(".se-pre-con").fadeOut("slow");
                }

                $(".se-pre-con").fadeIn("slow");
                if (csrfHash === '') {
                    csrfHash = '<?php echo $this->security->get_csrf_hash(); ?>';
                }
                if ($("#subDept").val().trim() !== "") {
                    if ($("#desig_type").val().trim() !== "") {
                        $.ajax({
                            url: '<?php echo site_url('admin/Staff/getAllEmployeesBySubDepartmentAndDesignatinCategoryForDropDownSelected/') ?>',
                            data: {sub_dept_id: selectedSubDept, dcm_id: selectedDesigType, emp: selectedEmp, csrf_token: csrfHash},
                            type: 'POST',
                            success: function (result) {
                                var employeeInfo = JSON.parse(result);
                                $(".se-pre-con").fadeOut("slow");
                                $("#emp").html(employeeInfo.emp_list);
                                csrfHash = employeeInfo.csrfHash;
                                allottedSubjectssFilterFrm.csrf_token.value = csrfHash;
                                newStudntAllotmentFrm.csrf_token.value = csrfHash;
                            }
                        });
                    } else {
                        $("#emp").html("<option>All</option>");
                        $(".se-pre-con").fadeOut("slow");
                    }
                } else {
                    $("#spnErr1").html("Please Select Department & Sub-Department In Order To Fetch Employees.");
                    $("#dept").focus();
                    $(".se-pre-con").fadeOut("slow");
                }

                if (csrfHash === '') {
                    csrfHash = '<?php echo $this->security->get_csrf_hash(); ?>';
                }
                if ($("#subjectCourse").val().trim() !== "") {
                    $.ajax({
                        url: '<?php echo site_url('admin/Course/getCourseSemesterOrYearForDropDownSelected/'); ?>',
                        data: {course_id: $("#subjectCourse").val(), semester: selectedSemester, csrf_token: csrfHash},
                        type: 'POST',
                        success: function (result) {
                            var semesterOrYearInfo = JSON.parse(result);
                            $(".se-pre-con").fadeOut("slow");
                            $("#subjectCourseSemOrYear").html(semesterOrYearInfo.sem_year_list);
                            csrfHash = semesterOrYearInfo.csrfHash;
                            allottedSubjectssFilterFrm.csrf_token.value = csrfHash;
                            allotmentEditFrm.csrf_token.value = csrfHash;
                        }
                    });
                    $.ajax({
                        url: '<?php echo site_url('admin/Subject/getSubjectsForDropDown/'); ?>',
                        data: {course_id: $("#subjectCourse").val(), subject: selectedSubject, csrf_token: csrfHash},
                        type: 'POST',
                        success: function (result) {
                            var subInfo = JSON.parse(result);
                            $(".se-pre-con").fadeOut("slow");
                            csrfHash = subInfo.csrfHash;
                            $("#subject").html(subInfo.subject_list);
                            allottedSubjectssFilterFrm.csrf_token.value = csrfHash;
                            allotmentEditFrm.csrf_token.value = csrfHash;
                        }
                    });
                } else {
                    $(".se-pre-con").fadeOut("slow");
                    $("#subjectCourseSemOrYear").html("<option value=''>Select Semester/Year</option>");
                    $("#subjects").html("<option value=''>Select Subject Set</option>");
                }
            });
        </script>
    </body>
</html>