<!DOCTYPE HTML>
<html>
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <title>Editing Subject Type <?php echo stripslashes($subjectTypeInfo->st_name); ?> | College Automation System | <?php echo $this->session->userdata("adminData")["branch_short_name"]; ?></title>
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/style.css"); ?>">
        <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Nunito:300,400,600,700,800,900&amp;display=swap">
        <link rel="image icon" href="<?php echo base_url("assets/admin/images/logo.png"); ?>">
        <script src="<?php echo base_url("assets/admin/js/jquery-1.10.2.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/bootstrap.min.js"); ?>"></script>
        <script>
            var csrfHash = '';
        </script>
    </head>
    <body>
        <div class="se-pre-con"></div>
        <section>
            <?php $this->load->view("admin/navAndHeader"); ?>
            <div class="main-content">
                <div class="container-fluid content-top-gap">
                    <nav aria-label="breadcrumb">
                        <ol class="breadcrumb my-breadcrumb">
                            <li class="breadcrumb-item"><a href="<?php echo site_url("admin/Dashboard"); ?>">Home</a></li>
                            <li class="breadcrumb-item active" aria-current="page">Mater Entry</li>
                            <li class="breadcrumb-item" aria-current="page"><a href="<?php echo site_url("admin/Subject/subjectTypes"); ?>">All Subjects Types</a></li>                            
                            <li class="breadcrumb-item active" aria-current="page"><a href="<?php echo current_url()    ; ?>">Edit Subject Type</a></li>                            
                        </ol>
                    </nav>
                    <section class="forms">
                        <div class="card card_border py-2 mb-4">
                            <div class="cards__heading">
                               <h3><i class="fa fa-edit"></i> Edit Subject Type => <b><?php echo stripslashes($subjectTypeInfo->st_name); ?></b></h3>
                            </div>
                            <div class="card-body">
                                <?php if (validation_errors() != false) { ?>
                                    <div class="alert alert-danger"> <strong><?php echo validation_errors(); ?></strong> </div>
                                <?php } ?>
                                <?php if ($this->session->flashdata('successMessage')) { ?>
                                    <div class="alert alert-success"> <strong><?php echo $this->session->flashdata('successMessage'); ?> </strong> </div>
                                <?php } ?>
                                <?php if ($this->session->flashdata('errorMessage')) { ?>
                                    <div class="alert alert-danger"> <strong><?php echo $this->session->flashdata('errorMessage'); ?></strong> </div>
                                <?php } ?>
                                <?php echo form_open(site_url('admin/Subject/updateNewSubjectType'), ['name' => 'subjectTypeupdatetionFrm', 'id' => 'subjectTypeupdatetionFrm']); ?>
                                <fieldset>
                                    <legend>Subject Type Info</legend>
                                    <div class="form-row">
                                        <div class="form-group col-md-12">
                                            <label for="subjectTypeName" class="input__label">Subject Type Name *</label>
                                            <input type="text" class="form-control input-style" id="subjectTypeName" name="subjectTypeName" value="<?php echo stripslashes($subjectTypeInfo->st_name); ?>" placeholder="Enter Subject Type Name" maxlength="150">
                                        </div>
                                        <div class="form-group col-md-12">
                                            <label for="subjectTypeDescription" class="input__label">Subject Description *</label>
                                            <textarea class="form-control input-style" id="subjectTypeDescription" name="subjectTypeDescription"  placeholder="Enter Subject Type Desciption" maxlength="200"><?php echo stripslashes($subjectTypeInfo->st_description); ?></textarea>
                                        </div>
                                    </div>
                                </fieldset>
                                    <input type="hidden" name="st_id" value="<?php echo $subjectTypeInfo->st_id;?>">
                                <button type="submit" class="btn btn-primary btn-block btn-style mt-4">Update Subject Type</button>
                                <?php echo form_close(); ?>
                            </div>
                        </div>
                    </section>
                </div>
            </div>
        </section>
        <script>

        </script>
        <?php $this->load->view("admin/footer"); ?>
    </body>
</html>