<!DOCTYPE html>
<html lang="en">
    <head>
        <title>|| College Automation System ||</title>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <link href="https://fonts.googleapis.com/css?family=Nanum+Gothic:400,700,800" rel="stylesheet">
        <link rel="stylesheet" href="<?php echo base_url("assets/css/bootstrap.min.css"); ?>" />
        <link rel="stylesheet" href="<?php echo base_url("assets/css/aos.css"); ?>" />
        <link rel="stylesheet" href="<?php echo base_url("assets/css/rangeslider.css"); ?>" />
        <link rel="stylesheet" href="<?php echo base_url("assets/css/style.css"); ?>" />
        <link rel="image icon" href="<?php echo base_url("assets/admin/images/logo.png"); ?>">
    </head>
    <body>
        <div class="site-wrap">
            <div class="site-blocks-cover overlay img-fluid" style="background-image: url(<?php echo base_url("assets/images/banner.jpg"); ?>);" data-aos="fade" data-stellar-background-ratio="0.5">
                <div class="container">
                    <div class="row align-items-center justify-content-center text-center">
                        <div class="col-md-12">
                            <div class="row justify-content-center mb-4">
                                <div class="col-md-12 text-center">
                                    <img src="<?php echo base_url("assets/admin/images/logo.png"); ?>" width="15%"/>
                                    <h1 class="" data-aos="fade-up"><b>Maharani Kalyani College, Darbhanga</b></h1>
                                    <p data-aos="fade-up" data-aos-delay="100" style="background-color:#f23a2e;color:white;">A Constituent College under Lalit Narayan Mithila University, Darbhanga</p>
                                </div>
                            </div>
                            <div class="form-search-wrap">   
                                <h5 style="color:black;"><b>College Automation System</b></h5>
                                <p style="color:white;font-weight:bold;text-shadow:1px 1px 1px black;font-size:16px;">M.K. College is implementing the College Automation System which nowadays has become an integral part for any academic institution. It will automate all the processes of our college such as Student Admission, Alumni, Digital Document Procurement, ICT Based Teaching Learning Process, Grievance Redressal, Library, Stock Management etc. We as an academic institution promote Digital India and paperless work culture.</p>
                                <div class="col-12 text-center mt-4">
                                    <a href="<?php echo site_url("admin/Authentication"); ?>" class="btn btn-danger rounded py-2 px-4 text-white">ADMIN LOGIN</a> &nbsp;
                                    <a href="<?php echo site_url("admin/Authentication"); ?>" class="btn btn-danger rounded py-2 px-4 text-white">FACULTY LOGIN</a> &nbsp;
                                    <a href="<?php echo site_url("student/"); ?>" class="btn btn-danger rounded py-2 px-4 text-white">STUDENT LOGIN</a>
                                </div>
                            </div>
                            <br/>
                            <div class="row">
                                <div class="col-md-3 pt-4">
                                    <div class="form-search-wrap" style="background-color:black;color:white;font-size:18px;">   
                                        <a href="https://admission.casmkc.in/" target="_blank">Online Admission</a>
                                    </div>
                                </div>
                                <div class="col-md-3 pt-4">
                                    <div class="form-search-wrap" style="background-color:black;color:white;font-size:18px;">   
                                        <a href="https://grievance.casmkc.in/" target="_blank">Grievance Redressal</a>
                                    </div>
                                </div>
                                <div class="col-md-3 pt-4">
                                    <div class="form-search-wrap" style="background-color:black;color:white;font-size:18px;">   
                                        <a href="https://alumni.casmkc.in/" target="_blank">Alumni Management</a>
                                    </div>
                                </div>
                                <div class="col-md-3 pt-4">
                                    <div class="form-search-wrap" style="background-color:black;color:white;font-size:18px;">   
                                        <a href="https://jobs.casmkc.in/" target="_blank">Online Recruitment</a>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="col-md-12">
                            <?php $this->load->view("footer"); ?>
                        </div>
                    </div>
                </div>
            </div>  
        </div>
        <script src="<?php echo base_url("assets/js/jquery-3.3.1.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/js/jquery-migrate-3.0.1.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/js/jquery.magnific-popup.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/js/owl.carousel.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/js/jquery.stellar.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/js/jquery.countdown.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/js/bootstrap.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/js/aos.js"); ?>"></script>
        <script src="<?php echo base_url("assets/js/rangeslider.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/js/main.js"); ?>"></script>
    </body>
</html>