<!doctype html>
<html lang="en">
    <head>
        <!-- Required meta tags -->
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <title><?php echo $this->session->userdata('inst_name'); ?> : Grievance Redressal Portal</title>
        <link rel="stylesheet" href="<?php echo base_url("assets/css/style.css"); ?>">
        <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Nunito:300,400,600,700,800,900&amp;display=swap">
        <link rel="image icon" href="<?php echo $this->session->userdata('inst_logo_url'); ?>">
        <script src="<?php echo base_url("assets/js/jquery-1.10.2.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/js/bootstrap.min.js"); ?>"></script>
    </head>

    <body style="background-color: #FFF">
        <section>
            <div>
                <section class="py-md-1 ">
                    <div class="welcome-msg pb-4">
                        <center>
                            <img width="12%" src="<?php echo $this->session->userdata('inst_logo_url'); ?>" />
                            <h1><span class="text-primary"><?php echo $this->session->userdata('inst_name'); ?></span></h1>
                            <h4>A Constituent College under Lalit Narayan Mithila University, Darbhanga</h4>
                            <h1>Grievance Redressal Portal</h1>
                        </center>
                    </div>
                    <div class="col-xl-12 pr-xl-2 content-top-gap">
                        <div class="row">
                            <div class="col-sm-3 pr-sm-2 statistics-grid">
                                <a href="<?php echo site_url("Authentication/login/admin"); ?>">
                                    <div class="card card_border border-primary-top p-4">
                                        <i class="fa fa-user text-primary"> </i>
                                        <h3 class="text-primary number">Admin</h3>
                                        <p class="stat-text">For Institute Admin</p>
                                    </div>
                                </a>
                            </div>
                            <div class="col-sm-3 pl-sm-2 statistics-grid">
                                <a href="<?php echo site_url("Authentication/login/student"); ?>">
                                    <div class="card card_border border-primary-top p-4">
                                        <i class="fa fa-graduation-cap text-secondary"> </i>
                                        <h3 class="text-secondary number">Students</h3>
                                        <p class="stat-text">For Alumni & Students</p>
                                    </div>
                                </a>
                            </div>
                            <div class="col-sm-3 pl-sm-2 statistics-grid">
                                <a href="<?php echo site_url("Authentication/login/parent"); ?>">
                                    <div class="card card_border border-primary-top p-4">
                                        <i class="fa fa-user-circle-o text-secondary"> </i>
                                        <h3 class="text-secondary number">Parents</h3>
                                        <p class="stat-text">For Guradians & Parents</p>
                                    </div>
                                </a>
                            </div>
                            <div class="col-sm-3 pl-sm-2 statistics-grid">
                                <a href="<?php echo site_url("Authentication/login/gcellm"); ?>">
                                    <div class="card card_border border-primary-top p-4">
                                        <i class="fa fa-id-badge text-secondary"> </i>
                                        <h3 class="text-secondary number">G-Cell Members</h3>
                                        <p class="stat-text">For Grievance Cell Members</p>
                                    </div>
                                </a>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-sm-3 pr-sm-2 statistics-grid">
                                <a href="<?php echo site_url("Authentication/login/faculty"); ?>">
                                    <div class="card card_border border-primary-top p-4">
                                        <i class="fa fa-id-card text-primary"> </i>
                                        <h3 class="text-primary number">Faculty</h3>
                                        <p class="stat-text">For Faculty/Teaching Staff</p>
                                    </div>
                                </a>
                            </div>
                            <div class="col-sm-3 pl-sm-2 statistics-grid">
                                <a href="<?php echo site_url("Authentication/login/nonteaching"); ?>">
                                    <div class="card card_border border-primary-top p-4">
                                        <i class="fa fa-address-book text-secondary"> </i>
                                        <h3 class="text-secondary number">Non-Teaching</h3>
                                        <p class="stat-text">For Non-Teaching Staff</p>
                                    </div>
                                </a>
                            </div>
                            <div class="col-sm-3 pl-sm-2 statistics-grid">
                                <a href="<?php echo site_url("Authentication/login/mgmnt"); ?>">
                                    <div class="card card_border border-primary-top p-4">
                                        <i class="fa fa-handshake-o text-secondary"> </i>
                                        <h3 class="text-secondary number">Management</h3>
                                        <p class="stat-text">For Management Committee</p>
                                    </div>
                                </a>
                            </div>
                            <div class="col-sm-3 pl-sm-2 statistics-grid">
                                <a href="#">
                                    <div class="card card_border border-primary-top p-4">
                                        <i class="fa fa-question-circle text-secondary"> </i>
                                        <h3 class="text-secondary number">Help & Contact</h3>
                                        <p class="stat-text">FAQs & Contact Info</p>
                                    </div>
                                </a>
                            </div>
                        </div>
                    </div>
                </section>
            </div>
            <!-- //content -->
        </section>
        <?php $this->load->view("footer"); ?>
    </body>
</html>