<?php

/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

/**
 * Description of CategoryManagement
 *
 * @author Softpro India Pvt. Ltd
 */
class CategoryManagement extends CI_Model {

    //put your code here
    function saveCategory($categoryData) {
        $this->db->insert("category_mst", $categoryData);
        return $this->db->insert_id();
    }

    function getCategories($cm_active_status = '', $cm_delete_status = '') {
        $this->db->select("*");
        $this->db->from("category_mst");
        if ($cm_delete_status != '') {
            $this->db->where("cm_delete_status", $cm_delete_status);
        }
        if ($cm_active_status != '') {
            $this->db->where("cm_active_status", $cm_active_status);
        }
        $this->db->order_by("cm_name", "ASC");
        return $this->db->get();
    }

    function getCategoryByID($cm_id) {
        $this->db->select("*");
        $this->db->from("category_mst");
        $this->db->where("cm_id", $cm_id);
        return $this->db->get();
    }

    function updateCategory($categoryData, $cm_id) {
        $this->db->where("cm_id", $cm_id);
        return $this->db->update("category_mst", $categoryData);
    }

    function getCategoryByName($cm_name, $cm_id = '') {
        $this->db->select("*");
        $this->db->from("category_mst");
        $this->db->where("cm_name", $cm_name);
        if ($cm_id != '') {
            $this->db->where("cm_id NOT IN ($cm_id)");
        }
        return $this->db->get();
    }
    
    function getTotalCategoryCount(){
        $this->db->select("*");
        $this->db->from("category_mst");
        return $this->db->get();
    }

}
